import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class AssignmentRulesOperations {
    /**
     * The method to get assignment rules
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getAssignmentRules(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get assignment rule
     * @param ruleId A bigint representing the ruleId
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getAssignmentRule(ruleId: bigint, paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
}
declare class GetAssignmentRuleParam {
    static MODULE: Param<string>;
}
export { GetAssignmentRuleParam as GetAssignmentRuleParam, AssignmentRulesOperations as MasterModel, AssignmentRulesOperations as AssignmentRulesOperations };
