import { Record } from "../record/record";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Attachment implements Model {
    private owner;
    private modifiedTime;
    private fileName;
    private createdTime;
    private size;
    private parentId;
    private editable;
    private sharingPermission;
    private fileId;
    private type;
    private seModule;
    private modifiedBy;
    private attachmentType;
    private state;
    private id;
    private createdBy;
    private linkUrl;
    private description;
    private category;
    private keyModified;
    /**
     * The method to get the owner
     * @returns An instance of User
     */
    getOwner(): User;
    /**
     * The method to set the value to owner
     * @param owner An instance of User
     */
    setOwner(owner: User): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the fileName
     * @returns A string representing the fileName
     */
    getFileName(): string;
    /**
     * The method to set the value to fileName
     * @param fileName A string representing the fileName
     */
    setFileName(fileName: string): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the size
     * @returns A bigint representing the size
     */
    getSize(): bigint;
    /**
     * The method to set the value to size
     * @param size A bigint representing the size
     */
    setSize(size: bigint): void;
    /**
     * The method to get the parentId
     * @returns An instance of Record
     */
    getParentId(): Record;
    /**
     * The method to set the value to parentId
     * @param parentId An instance of Record
     */
    setParentId(parentId: Record): void;
    /**
     * The method to get the editable
     * @returns A boolean representing the editable
     */
    getEditable(): boolean;
    /**
     * The method to set the value to editable
     * @param editable A boolean representing the editable
     */
    setEditable(editable: boolean): void;
    /**
     * The method to get the sharingPermission
     * @returns A string representing the sharingPermission
     */
    getSharingPermission(): string;
    /**
     * The method to set the value to sharingPermission
     * @param sharingPermission A string representing the sharingPermission
     */
    setSharingPermission(sharingPermission: string): void;
    /**
     * The method to get the fileId
     * @returns A string representing the fileId
     */
    getFileId(): string;
    /**
     * The method to set the value to fileId
     * @param fileId A string representing the fileId
     */
    setFileId(fileId: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the seModule
     * @returns A string representing the seModule
     */
    getSeModule(): string;
    /**
     * The method to set the value to seModule
     * @param seModule A string representing the seModule
     */
    setSeModule(seModule: string): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the attachmentType
     * @returns A number representing the attachmentType
     */
    getAttachmentType(): number;
    /**
     * The method to set the value to attachmentType
     * @param attachmentType A number representing the attachmentType
     */
    setAttachmentType(attachmentType: number): void;
    /**
     * The method to get the state
     * @returns A string representing the state
     */
    getState(): string;
    /**
     * The method to set the value to state
     * @param state A string representing the state
     */
    setState(state: string): void;
    /**
     * The method to get the id
     * @returns A string representing the id
     */
    getId(): string;
    /**
     * The method to set the value to id
     * @param id A string representing the id
     */
    setId(id: string): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the linkUrl
     * @returns A string representing the linkUrl
     */
    getLinkUrl(): string;
    /**
     * The method to set the value to linkUrl
     * @param linkUrl A string representing the linkUrl
     */
    setLinkUrl(linkUrl: string): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the category
     * @returns A string representing the category
     */
    getCategory(): string;
    /**
     * The method to set the value to category
     * @param category A string representing the category
     */
    setCategory(category: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Attachment as MasterModel, Attachment as Attachment };
