import { BluePrint } from "./blue_print";
import { Model } from "../../../../../../utils/util/model";
declare class BodyWrapper implements Model {
    private blueprint;
    private keyModified;
    /**
     * The method to get the blueprint
     * @returns An Array representing the blueprint
     */
    getBlueprint(): Array<BluePrint>;
    /**
     * The method to set the value to blueprint
     * @param blueprint An Array representing the blueprint
     */
    setBlueprint(blueprint: Array<BluePrint>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BodyWrapper as MasterModel, BodyWrapper as BodyWrapper };
