"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Escalation = exports.MasterModel = void 0;
class Escalation {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the days
     * @returns A number representing the days
     */
    getDays() {
        return this.days;
    }
    /**
     * The method to set the value to days
     * @param days A number representing the days
     */
    setDays(days) {
        this.days = days;
        this.keyModified.set("days", 1);
    }
    /**
     * The method to get the status
     * @returns A string representing the status
     */
    getStatus() {
        return this.status;
    }
    /**
     * The method to set the value to status
     * @param status A string representing the status
     */
    setStatus(status) {
        this.status = status;
        this.keyModified.set("status", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Escalation;
exports.Escalation = Escalation;
