import { BluePrint } from "./blue_print";
import { ResponseHandler } from "./response_handler";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private blueprint;
    private keyModified;
    /**
     * The method to get the blueprint
     * @returns An instance of BluePrint
     */
    getBlueprint(): BluePrint;
    /**
     * The method to set the value to blueprint
     * @param blueprint An instance of BluePrint
     */
    setBlueprint(blueprint: BluePrint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
