import { Model } from "../../../../../../utils/util/model";
declare class ValidationError implements Model {
    private apiName;
    private infoMessage;
    private message;
    private index;
    private parentAPIName;
    private keyModified;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the infoMessage
     * @returns A string representing the infoMessage
     */
    getInfoMessage(): string;
    /**
     * The method to set the value to infoMessage
     * @param infoMessage A string representing the infoMessage
     */
    setInfoMessage(infoMessage: string): void;
    /**
     * The method to get the message
     * @returns A string representing the message
     */
    getMessage(): string;
    /**
     * The method to set the value to message
     * @param message A string representing the message
     */
    setMessage(message: string): void;
    /**
     * The method to get the index
     * @returns A number representing the index
     */
    getIndex(): number;
    /**
     * The method to set the value to index
     * @param index A number representing the index
     */
    setIndex(index: number): void;
    /**
     * The method to get the parentapiName
     * @returns A string representing the parentAPIName
     */
    getParentAPIName(): string;
    /**
     * The method to set the value to parentapiName
     * @param parentAPIName A string representing the parentAPIName
     */
    setParentAPIName(parentAPIName: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ValidationError as MasterModel, ValidationError as ValidationError };
