"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationError = exports.MasterModel = void 0;
class ValidationError {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName() {
        return this.apiName;
    }
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName) {
        this.apiName = apiName;
        this.keyModified.set("api_name", 1);
    }
    /**
     * The method to get the infoMessage
     * @returns A string representing the infoMessage
     */
    getInfoMessage() {
        return this.infoMessage;
    }
    /**
     * The method to set the value to infoMessage
     * @param infoMessage A string representing the infoMessage
     */
    setInfoMessage(infoMessage) {
        this.infoMessage = infoMessage;
        this.keyModified.set("info_message", 1);
    }
    /**
     * The method to get the message
     * @returns A string representing the message
     */
    getMessage() {
        return this.message;
    }
    /**
     * The method to set the value to message
     * @param message A string representing the message
     */
    setMessage(message) {
        this.message = message;
        this.keyModified.set("message", 1);
    }
    /**
     * The method to get the index
     * @returns A number representing the index
     */
    getIndex() {
        return this.index;
    }
    /**
     * The method to set the value to index
     * @param index A number representing the index
     */
    setIndex(index) {
        this.index = index;
        this.keyModified.set("index", 1);
    }
    /**
     * The method to get the parentapiName
     * @returns A string representing the parentAPIName
     */
    getParentAPIName() {
        return this.parentAPIName;
    }
    /**
     * The method to set the value to parentapiName
     * @param parentAPIName A string representing the parentAPIName
     */
    setParentAPIName(parentAPIName) {
        this.parentAPIName = parentAPIName;
        this.keyModified.set("parent_api_name", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = ValidationError;
exports.ValidationError = ValidationError;
