import { CallBack } from "./call_back";
import { Resource } from "./resource";
import { ResponseWrapper } from "./response_wrapper";
import { Result } from "./result";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class BulkWriteResponse implements Model, ResponseWrapper {
    private status;
    private characterEncoding;
    private resource;
    private id;
    private callback;
    private result;
    private createdBy;
    private operation;
    private createdTime;
    private keyModified;
    /**
     * The method to get the status
     * @returns A string representing the status
     */
    getStatus(): string;
    /**
     * The method to set the value to status
     * @param status A string representing the status
     */
    setStatus(status: string): void;
    /**
     * The method to get the characterEncoding
     * @returns A string representing the characterEncoding
     */
    getCharacterEncoding(): string;
    /**
     * The method to set the value to characterEncoding
     * @param characterEncoding A string representing the characterEncoding
     */
    setCharacterEncoding(characterEncoding: string): void;
    /**
     * The method to get the resource
     * @returns An Array representing the resource
     */
    getResource(): Array<Resource>;
    /**
     * The method to set the value to resource
     * @param resource An Array representing the resource
     */
    setResource(resource: Array<Resource>): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the callback
     * @returns An instance of CallBack
     */
    getCallback(): CallBack;
    /**
     * The method to set the value to callback
     * @param callback An instance of CallBack
     */
    setCallback(callback: CallBack): void;
    /**
     * The method to get the result
     * @returns An instance of Result
     */
    getResult(): Result;
    /**
     * The method to set the value to result
     * @param result An instance of Result
     */
    setResult(result: Result): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the operation
     * @returns A string representing the operation
     */
    getOperation(): string;
    /**
     * The method to set the value to operation
     * @param operation A string representing the operation
     */
    setOperation(operation: string): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BulkWriteResponse as MasterModel, BulkWriteResponse as BulkWriteResponse };
