import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class CallBack implements Model {
    private url;
    private method;
    private keyModified;
    /**
     * The method to get the url
     * @returns A string representing the url
     */
    getUrl(): string;
    /**
     * The method to set the value to url
     * @param url A string representing the url
     */
    setUrl(url: string): void;
    /**
     * The method to get the method
     * @returns An instance of Choice<string>
     */
    getMethod(): Choice<string>;
    /**
     * The method to set the value to method
     * @param method An instance of Choice<string>
     */
    setMethod(method: Choice<string>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { CallBack as MasterModel, CallBack as CallBack };
