import { Model } from "../../../../../../utils/util/model";
declare class FieldMapping implements Model {
    private apiName;
    private index;
    private format;
    private findBy;
    private defaultValue;
    private module;
    private keyModified;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the index
     * @returns A number representing the index
     */
    getIndex(): number;
    /**
     * The method to set the value to index
     * @param index A number representing the index
     */
    setIndex(index: number): void;
    /**
     * The method to get the format
     * @returns A string representing the format
     */
    getFormat(): string;
    /**
     * The method to set the value to format
     * @param format A string representing the format
     */
    setFormat(format: string): void;
    /**
     * The method to get the findBy
     * @returns A string representing the findBy
     */
    getFindBy(): string;
    /**
     * The method to set the value to findBy
     * @param findBy A string representing the findBy
     */
    setFindBy(findBy: string): void;
    /**
     * The method to get the defaultValue
     * @returns A Map representing the defaultValue
     */
    getDefaultValue(): Map<string, any>;
    /**
     * The method to set the value to defaultValue
     * @param defaultValue A Map representing the defaultValue
     */
    setDefaultValue(defaultValue: Map<string, any>): void;
    /**
     * The method to get the module
     * @returns A string representing the module
     */
    getModule(): string;
    /**
     * The method to set the value to module
     * @param module A string representing the module
     */
    setModule(module: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { FieldMapping as MasterModel, FieldMapping as FieldMapping };
