import { Model } from "../../../../../../utils/util/model";
declare class Result implements Model {
    private downloadUrl;
    private keyModified;
    /**
     * The method to get the downloadUrl
     * @returns A string representing the downloadUrl
     */
    getDownloadUrl(): string;
    /**
     * The method to set the value to downloadUrl
     * @param downloadUrl A string representing the downloadUrl
     */
    setDownloadUrl(downloadUrl: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Result as MasterModel, Result as Result };
