import { ActionHandler } from "./action_handler";
import { ActionResponse } from "./action_response";
import { Model } from "../../../../../../utils/util/model";
declare class ActionWrapper implements Model, ActionHandler {
    private currencies;
    private keyModified;
    /**
     * The method to get the currencies
     * @returns An Array representing the currencies
     */
    getCurrencies(): Array<ActionResponse>;
    /**
     * The method to set the value to currencies
     * @param currencies An Array representing the currencies
     */
    setCurrencies(currencies: Array<ActionResponse>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ActionWrapper as MasterModel, ActionWrapper as ActionWrapper };
