import { ActionResponse } from "./action_response";
import { BaseCurrencyActionHandler } from "./base_currency_action_handler";
import { Model } from "../../../../../../utils/util/model";
declare class BaseCurrencyActionWrapper implements Model, BaseCurrencyActionHandler {
    private baseCurrency;
    private keyModified;
    /**
     * The method to get the baseCurrency
     * @returns An instance of ActionResponse
     */
    getBaseCurrency(): ActionResponse;
    /**
     * The method to set the value to baseCurrency
     * @param baseCurrency An instance of ActionResponse
     */
    setBaseCurrency(baseCurrency: ActionResponse): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BaseCurrencyActionWrapper as MasterModel, BaseCurrencyActionWrapper as BaseCurrencyActionWrapper };
