import { Format } from "./format";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Currency implements Model {
    private symbol;
    private createdTime;
    private isActive;
    private exchangeRate;
    private format;
    private createdBy;
    private prefixSymbol;
    private isBase;
    private modifiedTime;
    private name;
    private modifiedBy;
    private id;
    private isoCode;
    private keyModified;
    /**
     * The method to get the symbol
     * @returns A string representing the symbol
     */
    getSymbol(): string;
    /**
     * The method to set the value to symbol
     * @param symbol A string representing the symbol
     */
    setSymbol(symbol: string): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the isActive
     * @returns A boolean representing the isActive
     */
    getIsActive(): boolean;
    /**
     * The method to set the value to isActive
     * @param isActive A boolean representing the isActive
     */
    setIsActive(isActive: boolean): void;
    /**
     * The method to get the exchangeRate
     * @returns A string representing the exchangeRate
     */
    getExchangeRate(): string;
    /**
     * The method to set the value to exchangeRate
     * @param exchangeRate A string representing the exchangeRate
     */
    setExchangeRate(exchangeRate: string): void;
    /**
     * The method to get the format
     * @returns An instance of Format
     */
    getFormat(): Format;
    /**
     * The method to set the value to format
     * @param format An instance of Format
     */
    setFormat(format: Format): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the prefixSymbol
     * @returns A boolean representing the prefixSymbol
     */
    getPrefixSymbol(): boolean;
    /**
     * The method to set the value to prefixSymbol
     * @param prefixSymbol A boolean representing the prefixSymbol
     */
    setPrefixSymbol(prefixSymbol: boolean): void;
    /**
     * The method to get the isBase
     * @returns A boolean representing the isBase
     */
    getIsBase(): boolean;
    /**
     * The method to set the value to isBase
     * @param isBase A boolean representing the isBase
     */
    setIsBase(isBase: boolean): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the isoCode
     * @returns A string representing the isoCode
     */
    getIsoCode(): string;
    /**
     * The method to set the value to isoCode
     * @param isoCode A string representing the isoCode
     */
    setIsoCode(isoCode: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Currency as MasterModel, Currency as Currency };
