import { Criteria } from "./criteria";
import { SharedTo } from "./shared_to";
import { Field } from "../fields/field";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class CustomView implements Model {
    private id;
    private name;
    private systemName;
    private displayValue;
    private createdTime;
    private accessType;
    private category;
    private sortBy;
    private sortOrder;
    private favorite;
    private default1;
    private systemDefined;
    private criteria;
    private sharedTo;
    private fields;
    private modifiedTime;
    private modifiedBy;
    private lastAccessedTime;
    private createdBy;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the systemName
     * @returns A string representing the systemName
     */
    getSystemName(): string;
    /**
     * The method to set the value to systemName
     * @param systemName A string representing the systemName
     */
    setSystemName(systemName: string): void;
    /**
     * The method to get the displayValue
     * @returns A string representing the displayValue
     */
    getDisplayValue(): string;
    /**
     * The method to set the value to displayValue
     * @param displayValue A string representing the displayValue
     */
    setDisplayValue(displayValue: string): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the accessType
     * @returns A string representing the accessType
     */
    getAccessType(): string;
    /**
     * The method to set the value to accessType
     * @param accessType A string representing the accessType
     */
    setAccessType(accessType: string): void;
    /**
     * The method to get the category
     * @returns A string representing the category
     */
    getCategory(): string;
    /**
     * The method to set the value to category
     * @param category A string representing the category
     */
    setCategory(category: string): void;
    /**
     * The method to get the sortBy
     * @returns A string representing the sortBy
     */
    getSortBy(): string;
    /**
     * The method to set the value to sortBy
     * @param sortBy A string representing the sortBy
     */
    setSortBy(sortBy: string): void;
    /**
     * The method to get the sortOrder
     * @returns A string representing the sortOrder
     */
    getSortOrder(): string;
    /**
     * The method to set the value to sortOrder
     * @param sortOrder A string representing the sortOrder
     */
    setSortOrder(sortOrder: string): void;
    /**
     * The method to get the favorite
     * @returns A number representing the favorite
     */
    getFavorite(): number;
    /**
     * The method to set the value to favorite
     * @param favorite A number representing the favorite
     */
    setFavorite(favorite: number): void;
    /**
     * The method to get the default
     * @returns A boolean representing the default1
     */
    getDefault(): boolean;
    /**
     * The method to set the value to default
     * @param default1 A boolean representing the default1
     */
    setDefault(default1: boolean): void;
    /**
     * The method to get the systemDefined
     * @returns A boolean representing the systemDefined
     */
    getSystemDefined(): boolean;
    /**
     * The method to set the value to systemDefined
     * @param systemDefined A boolean representing the systemDefined
     */
    setSystemDefined(systemDefined: boolean): void;
    /**
     * The method to get the criteria
     * @returns An instance of Criteria
     */
    getCriteria(): Criteria;
    /**
     * The method to set the value to criteria
     * @param criteria An instance of Criteria
     */
    setCriteria(criteria: Criteria): void;
    /**
     * The method to get the sharedTo
     * @returns An Array representing the sharedTo
     */
    getSharedTo(): Array<SharedTo>;
    /**
     * The method to set the value to sharedTo
     * @param sharedTo An Array representing the sharedTo
     */
    setSharedTo(sharedTo: Array<SharedTo>): void;
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields(): Array<Field>;
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields: Array<Field>): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the lastAccessedTime
     * @returns An instance of Date
     */
    getLastAccessedTime(): Date;
    /**
     * The method to set the value to lastAccessedTime
     * @param lastAccessedTime An instance of Date
     */
    setLastAccessedTime(lastAccessedTime: Date): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { CustomView as MasterModel, CustomView as CustomView };
