import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class CustomViewsOperations {
    private module?;
    /**
     * Creates an instance of CustomViewsOperations with the given parameters
     * @param module A string representing the module
     */
    constructor(module?: string);
    /**
     * The method to get custom views
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getCustomViews(paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get custom view
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getCustomView(id: bigint): Promise<APIResponse<ResponseHandler>>;
}
declare class GetCustomViewsParam {
    static PAGE: Param<number>;
    static PER_PAGE: Param<number>;
}
declare class GetCustomViewParam {
}
export { GetCustomViewsParam as GetCustomViewsParam, GetCustomViewParam as GetCustomViewParam, CustomViewsOperations as MasterModel, CustomViewsOperations as CustomViewsOperations };
