import { Model } from "../../../../../../utils/util/model";
declare class Attachment implements Model {
    private size;
    private fileName;
    private fileId;
    private id;
    private keyModified;
    /**
     * The method to get the size
     * @returns A bigint representing the size
     */
    getSize(): bigint;
    /**
     * The method to set the value to size
     * @param size A bigint representing the size
     */
    setSize(size: bigint): void;
    /**
     * The method to get the fileName
     * @returns A string representing the fileName
     */
    getFileName(): string;
    /**
     * The method to set the value to fileName
     * @param fileName A string representing the fileName
     */
    setFileName(fileName: string): void;
    /**
     * The method to get the fileId
     * @returns A string representing the fileId
     */
    getFileId(): string;
    /**
     * The method to set the value to fileId
     * @param fileId A string representing the fileId
     */
    setFileId(fileId: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Attachment as MasterModel, Attachment as Attachment };
