"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Attachment = exports.MasterModel = void 0;
class Attachment {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the size
     * @returns A bigint representing the size
     */
    getSize() {
        return this.size;
    }
    /**
     * The method to set the value to size
     * @param size A bigint representing the size
     */
    setSize(size) {
        this.size = size;
        this.keyModified.set("size", 1);
    }
    /**
     * The method to get the fileName
     * @returns A string representing the fileName
     */
    getFileName() {
        return this.fileName;
    }
    /**
     * The method to set the value to fileName
     * @param fileName A string representing the fileName
     */
    setFileName(fileName) {
        this.fileName = fileName;
        this.keyModified.set("file_name", 1);
    }
    /**
     * The method to get the fileId
     * @returns A string representing the fileId
     */
    getFileId() {
        return this.fileId;
    }
    /**
     * The method to set the value to fileId
     * @param fileId A string representing the fileId
     */
    setFileId(fileId) {
        this.fileId = fileId;
        this.keyModified.set("file_id", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Attachment;
exports.Attachment = Attachment;
