"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailTemplate = exports.MasterModel = void 0;
class EmailTemplate {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the content
     * @returns A string representing the content
     */
    getContent() {
        return this.content;
    }
    /**
     * The method to set the value to content
     * @param content A string representing the content
     */
    setContent(content) {
        this.content = content;
        this.keyModified.set("content", 1);
    }
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime() {
        return this.createdTime;
    }
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime) {
        this.createdTime = createdTime;
        this.keyModified.set("created_time", 1);
    }
    /**
     * The method to get the subject
     * @returns A string representing the subject
     */
    getSubject() {
        return this.subject;
    }
    /**
     * The method to set the value to subject
     * @param subject A string representing the subject
     */
    setSubject(subject) {
        this.subject = subject;
        this.keyModified.set("subject", 1);
    }
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule() {
        return this.module;
    }
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module) {
        this.module = module;
        this.keyModified.set("module", 1);
    }
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType() {
        return this.type;
    }
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type) {
        this.type = type;
        this.keyModified.set("type", 1);
    }
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy() {
        return this.createdBy;
    }
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy) {
        this.createdBy = createdBy;
        this.keyModified.set("created_by", 1);
    }
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime() {
        return this.modifiedTime;
    }
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime) {
        this.modifiedTime = modifiedTime;
        this.keyModified.set("modified_time", 1);
    }
    /**
     * The method to get the lastUsageTime
     * @returns An instance of Date
     */
    getLastUsageTime() {
        return this.lastUsageTime;
    }
    /**
     * The method to set the value to lastUsageTime
     * @param lastUsageTime An instance of Date
     */
    setLastUsageTime(lastUsageTime) {
        this.lastUsageTime = lastUsageTime;
        this.keyModified.set("last_usage_time", 1);
    }
    /**
     * The method to get the associated
     * @returns A boolean representing the associated
     */
    getAssociated() {
        return this.associated;
    }
    /**
     * The method to set the value to associated
     * @param associated A boolean representing the associated
     */
    setAssociated(associated) {
        this.associated = associated;
        this.keyModified.set("associated", 1);
    }
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName() {
        return this.name;
    }
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name) {
        this.name = name;
        this.keyModified.set("name", 1);
    }
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy() {
        return this.modifiedBy;
    }
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy) {
        this.modifiedBy = modifiedBy;
        this.keyModified.set("modified_by", 1);
    }
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription() {
        return this.description;
    }
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description) {
        this.description = description;
        this.keyModified.set("description", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the editorMode
     * @returns A string representing the editorMode
     */
    getEditorMode() {
        return this.editorMode;
    }
    /**
     * The method to set the value to editorMode
     * @param editorMode A string representing the editorMode
     */
    setEditorMode(editorMode) {
        this.editorMode = editorMode;
        this.keyModified.set("editor_mode", 1);
    }
    /**
     * The method to get the favorite
     * @returns A boolean representing the favorite
     */
    getFavorite() {
        return this.favorite;
    }
    /**
     * The method to set the value to favorite
     * @param favorite A boolean representing the favorite
     */
    setFavorite(favorite) {
        this.favorite = favorite;
        this.keyModified.set("favorite", 1);
    }
    /**
     * The method to get the attachments
     * @returns An Array representing the attachments
     */
    getAttachments() {
        return this.attachments;
    }
    /**
     * The method to set the value to attachments
     * @param attachments An Array representing the attachments
     */
    setAttachments(attachments) {
        this.attachments = attachments;
        this.keyModified.set("attachments", 1);
    }
    /**
     * The method to get the folder
     * @returns An instance of EmailTemplate
     */
    getFolder() {
        return this.folder;
    }
    /**
     * The method to set the value to folder
     * @param folder An instance of EmailTemplate
     */
    setFolder(folder) {
        this.folder = folder;
        this.keyModified.set("folder", 1);
    }
    /**
     * The method to get the consentLinked
     * @returns A boolean representing the consentLinked
     */
    getConsentLinked() {
        return this.consentLinked;
    }
    /**
     * The method to set the value to consentLinked
     * @param consentLinked A boolean representing the consentLinked
     */
    setConsentLinked(consentLinked) {
        this.consentLinked = consentLinked;
        this.keyModified.set("consent_linked", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = EmailTemplate;
exports.EmailTemplate = EmailTemplate;
