import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class EmailTemplatesOperations {
    /**
     * The method to get email templates
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getEmailTemplates(paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get email template by id
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getEmailTemplateById(id: bigint): Promise<APIResponse<ResponseHandler>>;
}
declare class GetEmailTemplatesParam {
    static MODULE: Param<string>;
}
export { EmailTemplatesOperations as MasterModel, EmailTemplatesOperations as EmailTemplatesOperations, GetEmailTemplatesParam as GetEmailTemplatesParam };
