import { StreamWrapper } from "../../../../../../utils/util/stream_wrapper";
import { Model } from "../../../../../../utils/util/model";
declare class BodyWrapper implements Model {
    private file;
    private keyModified;
    /**
     * The method to get the file
     * @returns An Array representing the file
     */
    getFile(): Array<StreamWrapper>;
    /**
     * The method to set the value to file
     * @param file An Array representing the file
     */
    setFile(file: Array<StreamWrapper>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BodyWrapper as MasterModel, BodyWrapper as BodyWrapper };
