import { Model } from "../../../../../../utils/util/model";
declare class External implements Model {
    private show;
    private type;
    private allowMultipleConfig;
    private keyModified;
    /**
     * The method to get the show
     * @returns A boolean representing the show
     */
    getShow(): boolean;
    /**
     * The method to set the value to show
     * @param show A boolean representing the show
     */
    setShow(show: boolean): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the allowMultipleConfig
     * @returns A boolean representing the allowMultipleConfig
     */
    getAllowMultipleConfig(): boolean;
    /**
     * The method to set the value to allowMultipleConfig
     * @param allowMultipleConfig A boolean representing the allowMultipleConfig
     */
    setAllowMultipleConfig(allowMultipleConfig: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { External as MasterModel, External as External };
