"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.External = exports.MasterModel = void 0;
class External {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the show
     * @returns A boolean representing the show
     */
    getShow() {
        return this.show;
    }
    /**
     * The method to set the value to show
     * @param show A boolean representing the show
     */
    setShow(show) {
        this.show = show;
        this.keyModified.set("show", 1);
    }
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType() {
        return this.type;
    }
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type) {
        this.type = type;
        this.keyModified.set("type", 1);
    }
    /**
     * The method to get the allowMultipleConfig
     * @returns A boolean representing the allowMultipleConfig
     */
    getAllowMultipleConfig() {
        return this.allowMultipleConfig;
    }
    /**
     * The method to set the value to allowMultipleConfig
     * @param allowMultipleConfig A boolean representing the allowMultipleConfig
     */
    setAllowMultipleConfig(allowMultipleConfig) {
        this.allowMultipleConfig = allowMultipleConfig;
        this.keyModified.set("allow_multiple_config", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = External;
exports.External = External;
