import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class FieldsOperations {
    private module?;
    /**
     * Creates an instance of FieldsOperations with the given parameters
     * @param module A string representing the module
     */
    constructor(module?: string);
    /**
     * The method to get fields
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getFields(paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get field
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getField(id: bigint): Promise<APIResponse<ResponseHandler>>;
}
declare class GetFieldsParam {
    static TYPE: Param<string>;
}
declare class GetFieldParam {
}
export { GetFieldsParam as GetFieldsParam, GetFieldParam as GetFieldParam, FieldsOperations as MasterModel, FieldsOperations as FieldsOperations };
