import { Field } from "./field";
import { Module } from "./module";
import { Model } from "../../../../../../utils/util/model";
declare class HistoryTracking implements Model {
    private module;
    private durationConfiguredField;
    private keyModified;
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule(): Module;
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module: Module): void;
    /**
     * The method to get the durationConfiguredField
     * @returns An instance of Field
     */
    getDurationConfiguredField(): Field;
    /**
     * The method to set the value to durationConfiguredField
     * @param durationConfiguredField An instance of Field
     */
    setDurationConfiguredField(durationConfiguredField: Field): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { HistoryTracking as MasterModel, HistoryTracking as HistoryTracking };
