"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HistoryTracking = exports.MasterModel = void 0;
class HistoryTracking {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule() {
        return this.module;
    }
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module) {
        this.module = module;
        this.keyModified.set("module", 1);
    }
    /**
     * The method to get the durationConfiguredField
     * @returns An instance of Field
     */
    getDurationConfiguredField() {
        return this.durationConfiguredField;
    }
    /**
     * The method to set the value to durationConfiguredField
     * @param durationConfiguredField An instance of Field
     */
    setDurationConfiguredField(durationConfiguredField) {
        this.durationConfiguredField = durationConfiguredField;
        this.keyModified.set("duration_configured_field", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = HistoryTracking;
exports.HistoryTracking = HistoryTracking;
