"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Maps = exports.MasterModel = void 0;
class Maps {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName() {
        return this.apiName;
    }
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName) {
        this.apiName = apiName;
        this.keyModified.set("api_name", 1);
    }
    /**
     * The method to get the pickListValues
     * @returns An Array representing the pickListValues
     */
    getPickListValues() {
        return this.pickListValues;
    }
    /**
     * The method to set the value to pickListValues
     * @param pickListValues An Array representing the pickListValues
     */
    setPickListValues(pickListValues) {
        this.pickListValues = pickListValues;
        this.keyModified.set("pick_list_values", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Maps;
exports.Maps = Maps;
