import { Layout } from "../layouts/layout";
import { Model } from "../../../../../../utils/util/model";
declare class Module implements Model {
    private layout;
    private displayLabel;
    private apiName;
    private module;
    private id;
    private moduleName;
    private keyModified;
    /**
     * The method to get the layout
     * @returns An instance of Layout
     */
    getLayout(): Layout;
    /**
     * The method to set the value to layout
     * @param layout An instance of Layout
     */
    setLayout(layout: Layout): void;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the module
     * @returns A string representing the module
     */
    getModule(): string;
    /**
     * The method to set the value to module
     * @param module A string representing the module
     */
    setModule(module: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the moduleName
     * @returns A string representing the moduleName
     */
    getModuleName(): string;
    /**
     * The method to set the value to moduleName
     * @param moduleName A string representing the moduleName
     */
    setModuleName(moduleName: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Module as MasterModel, Module as Module };
