import { Maps } from "./maps";
import { Model } from "../../../../../../utils/util/model";
declare class PickListValue implements Model {
    private displayValue;
    private probability;
    private forecastCategory;
    private actualValue;
    private id;
    private forecastType;
    private sequenceNumber;
    private expectedDataType;
    private maps;
    private sysRefName;
    private type;
    private keyModified;
    /**
     * The method to get the displayValue
     * @returns A string representing the displayValue
     */
    getDisplayValue(): string;
    /**
     * The method to set the value to displayValue
     * @param displayValue A string representing the displayValue
     */
    setDisplayValue(displayValue: string): void;
    /**
     * The method to get the probability
     * @returns A number representing the probability
     */
    getProbability(): number;
    /**
     * The method to set the value to probability
     * @param probability A number representing the probability
     */
    setProbability(probability: number): void;
    /**
     * The method to get the forecastCategory
     * @returns A bigint representing the forecastCategory
     */
    getForecastCategory(): bigint;
    /**
     * The method to set the value to forecastCategory
     * @param forecastCategory A bigint representing the forecastCategory
     */
    setForecastCategory(forecastCategory: bigint): void;
    /**
     * The method to get the actualValue
     * @returns A string representing the actualValue
     */
    getActualValue(): string;
    /**
     * The method to set the value to actualValue
     * @param actualValue A string representing the actualValue
     */
    setActualValue(actualValue: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the forecastType
     * @returns A string representing the forecastType
     */
    getForecastType(): string;
    /**
     * The method to set the value to forecastType
     * @param forecastType A string representing the forecastType
     */
    setForecastType(forecastType: string): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the expectedDataType
     * @returns A string representing the expectedDataType
     */
    getExpectedDataType(): string;
    /**
     * The method to set the value to expectedDataType
     * @param expectedDataType A string representing the expectedDataType
     */
    setExpectedDataType(expectedDataType: string): void;
    /**
     * The method to get the maps
     * @returns An Array representing the maps
     */
    getMaps(): Array<Maps>;
    /**
     * The method to set the value to maps
     * @param maps An Array representing the maps
     */
    setMaps(maps: Array<Maps>): void;
    /**
     * The method to get the sysRefName
     * @returns A string representing the sysRefName
     */
    getSysRefName(): string;
    /**
     * The method to set the value to sysRefName
     * @param sysRefName A string representing the sysRefName
     */
    setSysRefName(sysRefName: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { PickListValue as MasterModel, PickListValue as PickListValue };
