import { Field } from "./field";
import { ResponseHandler } from "./response_handler";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private fields;
    private keyModified;
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields(): Array<Field>;
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields: Array<Field>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
