import { ActionHandler } from "./action_handler";
import { BodyWrapper } from "./body_wrapper";
import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class FileOperations {
    /**
     * The method to upload files
     * @param request An instance of BodyWrapper
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    uploadFiles(request: BodyWrapper, paramInstance?: ParameterMap): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to get file
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getFile(paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
}
declare class UploadFilesParam {
    static TYPE: Param<string>;
}
declare class GetFileParam {
    static ID: Param<string>;
}
export { GetFileParam as GetFileParam, UploadFilesParam as UploadFilesParam, FileOperations as MasterModel, FileOperations as FileOperations };
