import { Section } from "./section";
import { Profile } from "../profiles/profile";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Layout implements Model {
    private createdTime;
    private convertMapping;
    private modifiedTime;
    private visible;
    private createdFor;
    private name;
    private modifiedBy;
    private profiles;
    private id;
    private createdBy;
    private sections;
    private status;
    private displayType;
    private showBusinessCard;
    private keyModified;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the convertMapping
     * @returns A Map representing the convertMapping
     */
    getConvertMapping(): Map<string, any>;
    /**
     * The method to set the value to convertMapping
     * @param convertMapping A Map representing the convertMapping
     */
    setConvertMapping(convertMapping: Map<string, any>): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the visible
     * @returns A boolean representing the visible
     */
    getVisible(): boolean;
    /**
     * The method to set the value to visible
     * @param visible A boolean representing the visible
     */
    setVisible(visible: boolean): void;
    /**
     * The method to get the createdFor
     * @returns An instance of User
     */
    getCreatedFor(): User;
    /**
     * The method to set the value to createdFor
     * @param createdFor An instance of User
     */
    setCreatedFor(createdFor: User): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the profiles
     * @returns An Array representing the profiles
     */
    getProfiles(): Array<Profile>;
    /**
     * The method to set the value to profiles
     * @param profiles An Array representing the profiles
     */
    setProfiles(profiles: Array<Profile>): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the sections
     * @returns An Array representing the sections
     */
    getSections(): Array<Section>;
    /**
     * The method to set the value to sections
     * @param sections An Array representing the sections
     */
    setSections(sections: Array<Section>): void;
    /**
     * The method to get the status
     * @returns A number representing the status
     */
    getStatus(): number;
    /**
     * The method to set the value to status
     * @param status A number representing the status
     */
    setStatus(status: number): void;
    /**
     * The method to get the displayType
     * @returns A number representing the displayType
     */
    getDisplayType(): number;
    /**
     * The method to set the value to displayType
     * @param displayType A number representing the displayType
     */
    setDisplayType(displayType: number): void;
    /**
     * The method to get the showBusinessCard
     * @returns A boolean representing the showBusinessCard
     */
    getShowBusinessCard(): boolean;
    /**
     * The method to set the value to showBusinessCard
     * @param showBusinessCard A boolean representing the showBusinessCard
     */
    setShowBusinessCard(showBusinessCard: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Layout as MasterModel, Layout as Layout };
