import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class LayoutsOperations {
    private module?;
    /**
     * Creates an instance of LayoutsOperations with the given parameters
     * @param module A string representing the module
     */
    constructor(module?: string);
    /**
     * The method to get layouts
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getLayouts(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get layout
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getLayout(id: bigint): Promise<APIResponse<ResponseHandler>>;
}
declare class GetLayoutsParam {
}
declare class GetLayoutParam {
}
export { LayoutsOperations as MasterModel, LayoutsOperations as LayoutsOperations, GetLayoutsParam as GetLayoutsParam, GetLayoutParam as GetLayoutParam };
