import { Field } from "../fields/field";
import { Properties } from "./properties";
import { Model } from "../../../../../../utils/util/model";
declare class Section implements Model {
    private displayLabel;
    private sequenceNumber;
    private issubformsection;
    private tabTraversal;
    private apiName;
    private columnCount;
    private name;
    private generatedType;
    private fields;
    private properties;
    private type;
    private keyModified;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the issubformsection
     * @returns A boolean representing the issubformsection
     */
    getIssubformsection(): boolean;
    /**
     * The method to set the value to issubformsection
     * @param issubformsection A boolean representing the issubformsection
     */
    setIssubformsection(issubformsection: boolean): void;
    /**
     * The method to get the tabTraversal
     * @returns A number representing the tabTraversal
     */
    getTabTraversal(): number;
    /**
     * The method to set the value to tabTraversal
     * @param tabTraversal A number representing the tabTraversal
     */
    setTabTraversal(tabTraversal: number): void;
    /**
     * The method to get the apiName
     * @returns A string representing the apiName
     */
    getAPIName(): string;
    /**
     * The method to set the value to apiName
     * @param apiName A string representing the apiName
     */
    setAPIName(apiName: string): void;
    /**
     * The method to get the columnCount
     * @returns A number representing the columnCount
     */
    getColumnCount(): number;
    /**
     * The method to set the value to columnCount
     * @param columnCount A number representing the columnCount
     */
    setColumnCount(columnCount: number): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the generatedType
     * @returns A string representing the generatedType
     */
    getGeneratedType(): string;
    /**
     * The method to set the value to generatedType
     * @param generatedType A string representing the generatedType
     */
    setGeneratedType(generatedType: string): void;
    /**
     * The method to get the fields
     * @returns An Array representing the fields
     */
    getFields(): Array<Field>;
    /**
     * The method to set the value to fields
     * @param fields An Array representing the fields
     */
    setFields(fields: Array<Field>): void;
    /**
     * The method to get the properties
     * @returns An instance of Properties
     */
    getProperties(): Properties;
    /**
     * The method to set the value to properties
     * @param properties An instance of Properties
     */
    setProperties(properties: Properties): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Section as MasterModel, Section as Section };
