import { Model } from "../../../../../../utils/util/model";
declare class Argument implements Model {
    private name;
    private value;
    private keyModified;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the value
     * @returns A string representing the value
     */
    getValue(): string;
    /**
     * The method to set the value to value
     * @param value A string representing the value
     */
    setValue(value: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Argument as MasterModel, Argument as Argument };
