import { Header } from "../../../../../../routes/header";
import { HeaderMap } from "../../../../../../routes/header_map";
import { ActionHandler } from "./action_handler";
import { BodyWrapper } from "./body_wrapper";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class ModulesOperations {
    /**
     * The method to get modules
     * @param headerInstance An instance of HeaderMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getModules(headerInstance?: HeaderMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get module
     * @param apiName A string representing the apiName
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getModule(apiName: string): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to update module by api name
     * @param apiName A string representing the apiName
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateModuleByAPIName(apiName: string, request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to update module by id
     * @param id A bigint representing the id
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateModuleById(id: bigint, request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
}
declare class GetModulesHeader {
    static IF_MODIFIED_SINCE: Header<Date>;
}
export { ModulesOperations as MasterModel, ModulesOperations as ModulesOperations, GetModulesHeader as GetModulesHeader };
