import { Attachment } from "../attachments/attachment";
import { Record } from "../record/record";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Note implements Model {
    private owner;
    private modifiedTime;
    private attachments;
    private createdTime;
    private parentId;
    private editable;
    private sharingPermission;
    private seModule;
    private isSharedToClient;
    private modifiedBy;
    private size;
    private state;
    private voiceNote;
    private id;
    private createdBy;
    private noteTitle;
    private noteContent;
    private keyModified;
    /**
     * The method to get the owner
     * @returns An instance of User
     */
    getOwner(): User;
    /**
     * The method to set the value to owner
     * @param owner An instance of User
     */
    setOwner(owner: User): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the attachments
     * @returns An Array representing the attachments
     */
    getAttachments(): Array<Attachment>;
    /**
     * The method to set the value to attachments
     * @param attachments An Array representing the attachments
     */
    setAttachments(attachments: Array<Attachment>): void;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the parentId
     * @returns An instance of Record
     */
    getParentId(): Record;
    /**
     * The method to set the value to parentId
     * @param parentId An instance of Record
     */
    setParentId(parentId: Record): void;
    /**
     * The method to get the editable
     * @returns A boolean representing the editable
     */
    getEditable(): boolean;
    /**
     * The method to set the value to editable
     * @param editable A boolean representing the editable
     */
    setEditable(editable: boolean): void;
    /**
     * The method to get the sharingPermission
     * @returns A string representing the sharingPermission
     */
    getSharingPermission(): string;
    /**
     * The method to set the value to sharingPermission
     * @param sharingPermission A string representing the sharingPermission
     */
    setSharingPermission(sharingPermission: string): void;
    /**
     * The method to get the seModule
     * @returns A string representing the seModule
     */
    getSeModule(): string;
    /**
     * The method to set the value to seModule
     * @param seModule A string representing the seModule
     */
    setSeModule(seModule: string): void;
    /**
     * The method to get the isSharedToClient
     * @returns A boolean representing the isSharedToClient
     */
    getIsSharedToClient(): boolean;
    /**
     * The method to set the value to isSharedToClient
     * @param isSharedToClient A boolean representing the isSharedToClient
     */
    setIsSharedToClient(isSharedToClient: boolean): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the size
     * @returns A string representing the size
     */
    getSize(): string;
    /**
     * The method to set the value to size
     * @param size A string representing the size
     */
    setSize(size: string): void;
    /**
     * The method to get the state
     * @returns A string representing the state
     */
    getState(): string;
    /**
     * The method to set the value to state
     * @param state A string representing the state
     */
    setState(state: string): void;
    /**
     * The method to get the voiceNote
     * @returns A boolean representing the voiceNote
     */
    getVoiceNote(): boolean;
    /**
     * The method to set the value to voiceNote
     * @param voiceNote A boolean representing the voiceNote
     */
    setVoiceNote(voiceNote: boolean): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the noteTitle
     * @returns A string representing the noteTitle
     */
    getNoteTitle(): string;
    /**
     * The method to set the value to noteTitle
     * @param noteTitle A string representing the noteTitle
     */
    setNoteTitle(noteTitle: string): void;
    /**
     * The method to get the noteContent
     * @returns A string representing the noteContent
     */
    getNoteContent(): string;
    /**
     * The method to set the value to noteContent
     * @param noteContent A string representing the noteContent
     */
    setNoteContent(noteContent: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Note as MasterModel, Note as Note };
