import { Model } from "../../../../../../utils/util/model";
declare class Notification implements Model {
    private channelExpiry;
    private resourceUri;
    private resourceId;
    private notifyUrl;
    private resourceName;
    private channelId;
    private events;
    private token;
    private notifyOnRelatedAction;
    private fields;
    private deleteevents;
    private keyModified;
    /**
     * The method to get the channelExpiry
     * @returns An instance of Date
     */
    getChannelExpiry(): Date;
    /**
     * The method to set the value to channelExpiry
     * @param channelExpiry An instance of Date
     */
    setChannelExpiry(channelExpiry: Date): void;
    /**
     * The method to get the resourceUri
     * @returns A string representing the resourceUri
     */
    getResourceUri(): string;
    /**
     * The method to set the value to resourceUri
     * @param resourceUri A string representing the resourceUri
     */
    setResourceUri(resourceUri: string): void;
    /**
     * The method to get the resourceId
     * @returns A string representing the resourceId
     */
    getResourceId(): string;
    /**
     * The method to set the value to resourceId
     * @param resourceId A string representing the resourceId
     */
    setResourceId(resourceId: string): void;
    /**
     * The method to get the notifyUrl
     * @returns A string representing the notifyUrl
     */
    getNotifyUrl(): string;
    /**
     * The method to set the value to notifyUrl
     * @param notifyUrl A string representing the notifyUrl
     */
    setNotifyUrl(notifyUrl: string): void;
    /**
     * The method to get the resourceName
     * @returns A string representing the resourceName
     */
    getResourceName(): string;
    /**
     * The method to set the value to resourceName
     * @param resourceName A string representing the resourceName
     */
    setResourceName(resourceName: string): void;
    /**
     * The method to get the channelId
     * @returns A bigint representing the channelId
     */
    getChannelId(): bigint;
    /**
     * The method to set the value to channelId
     * @param channelId A bigint representing the channelId
     */
    setChannelId(channelId: bigint): void;
    /**
     * The method to get the events
     * @returns An Array representing the events
     */
    getEvents(): Array<string>;
    /**
     * The method to set the value to events
     * @param events An Array representing the events
     */
    setEvents(events: Array<string>): void;
    /**
     * The method to get the token
     * @returns A string representing the token
     */
    getToken(): string;
    /**
     * The method to set the value to token
     * @param token A string representing the token
     */
    setToken(token: string): void;
    /**
     * The method to get the notifyOnRelatedAction
     * @returns A boolean representing the notifyOnRelatedAction
     */
    getNotifyOnRelatedAction(): boolean;
    /**
     * The method to set the value to notifyOnRelatedAction
     * @param notifyOnRelatedAction A boolean representing the notifyOnRelatedAction
     */
    setNotifyOnRelatedAction(notifyOnRelatedAction: boolean): void;
    /**
     * The method to get the fields
     * @returns A Map representing the fields
     */
    getFields(): Map<string, any>;
    /**
     * The method to set the value to fields
     * @param fields A Map representing the fields
     */
    setFields(fields: Map<string, any>): void;
    /**
     * The method to get the deleteevents
     * @returns A boolean representing the deleteevents
     */
    getDeleteevents(): boolean;
    /**
     * The method to set the value to deleteevents
     * @param deleteevents A boolean representing the deleteevents
     */
    setDeleteevents(deleteevents: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Notification as MasterModel, Notification as Notification };
