import { ActionHandler } from "./action_handler";
import { BodyWrapper } from "./body_wrapper";
import { ResponseHandler } from "./response_handler";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class NotificationOperations {
    /**
     * The method to enable notifications
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    enableNotifications(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to get notification details
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getNotificationDetails(paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to update notifications
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateNotifications(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to update notification
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateNotification(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to disable notifications
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    disableNotifications(paramInstance?: ParameterMap): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to disable notification
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    disableNotification(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
}
declare class GetNotificationDetailsParam {
    static PAGE: Param<number>;
    static PER_PAGE: Param<number>;
    static CHANNEL_ID: Param<bigint>;
    static MODULE: Param<string>;
}
declare class DisableNotificationsParam {
    static CHANNEL_IDS: Param<bigint>;
}
export { GetNotificationDetailsParam as GetNotificationDetailsParam, DisableNotificationsParam as DisableNotificationsParam, NotificationOperations as MasterModel, NotificationOperations as NotificationOperations };
