import { Model } from "../../../../../../utils/util/model";
declare class LicenseDetails implements Model {
    private paidExpiry;
    private usersLicensePurchased;
    private trialType;
    private trialExpiry;
    private paid;
    private paidType;
    private keyModified;
    /**
     * The method to get the paidExpiry
     * @returns An instance of Date
     */
    getPaidExpiry(): Date;
    /**
     * The method to set the value to paidExpiry
     * @param paidExpiry An instance of Date
     */
    setPaidExpiry(paidExpiry: Date): void;
    /**
     * The method to get the usersLicensePurchased
     * @returns A bigint representing the usersLicensePurchased
     */
    getUsersLicensePurchased(): bigint;
    /**
     * The method to set the value to usersLicensePurchased
     * @param usersLicensePurchased A bigint representing the usersLicensePurchased
     */
    setUsersLicensePurchased(usersLicensePurchased: bigint): void;
    /**
     * The method to get the trialType
     * @returns A string representing the trialType
     */
    getTrialType(): string;
    /**
     * The method to set the value to trialType
     * @param trialType A string representing the trialType
     */
    setTrialType(trialType: string): void;
    /**
     * The method to get the trialExpiry
     * @returns A string representing the trialExpiry
     */
    getTrialExpiry(): string;
    /**
     * The method to set the value to trialExpiry
     * @param trialExpiry A string representing the trialExpiry
     */
    setTrialExpiry(trialExpiry: string): void;
    /**
     * The method to get the paid
     * @returns A boolean representing the paid
     */
    getPaid(): boolean;
    /**
     * The method to set the value to paid
     * @param paid A boolean representing the paid
     */
    setPaid(paid: boolean): void;
    /**
     * The method to get the paidType
     * @returns A string representing the paidType
     */
    getPaidType(): string;
    /**
     * The method to set the value to paidType
     * @param paidType A string representing the paidType
     */
    setPaidType(paidType: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { LicenseDetails as MasterModel, LicenseDetails as LicenseDetails };
