import { HierarchyPreference } from "./hierarchy_preference";
import { LicenseDetails } from "./license_details";
import { Model } from "../../../../../../utils/util/model";
declare class Org implements Model {
    private country;
    private hierarchyPreferences;
    private photoId;
    private city;
    private description;
    private mcStatus;
    private gappsEnabled;
    private domainName;
    private translationEnabled;
    private street;
    private alias;
    private currency;
    private id;
    private state;
    private fax;
    private employeeCount;
    private zip;
    private website;
    private currencySymbol;
    private mobile;
    private currencyLocale;
    private primaryZuid;
    private ziaPortalId;
    private timeZone;
    private zgid;
    private countryCode;
    private licenseDetails;
    private phone;
    private companyName;
    private privacySettings;
    private primaryEmail;
    private hipaaComplianceEnabled;
    private isoCode;
    private keyModified;
    /**
     * The method to get the country
     * @returns A string representing the country
     */
    getCountry(): string;
    /**
     * The method to set the value to country
     * @param country A string representing the country
     */
    setCountry(country: string): void;
    /**
     * The method to get the hierarchyPreferences
     * @returns An instance of HierarchyPreference
     */
    getHierarchyPreferences(): HierarchyPreference;
    /**
     * The method to set the value to hierarchyPreferences
     * @param hierarchyPreferences An instance of HierarchyPreference
     */
    setHierarchyPreferences(hierarchyPreferences: HierarchyPreference): void;
    /**
     * The method to get the photoId
     * @returns A string representing the photoId
     */
    getPhotoId(): string;
    /**
     * The method to set the value to photoId
     * @param photoId A string representing the photoId
     */
    setPhotoId(photoId: string): void;
    /**
     * The method to get the city
     * @returns A string representing the city
     */
    getCity(): string;
    /**
     * The method to set the value to city
     * @param city A string representing the city
     */
    setCity(city: string): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the mcStatus
     * @returns A boolean representing the mcStatus
     */
    getMcStatus(): boolean;
    /**
     * The method to set the value to mcStatus
     * @param mcStatus A boolean representing the mcStatus
     */
    setMcStatus(mcStatus: boolean): void;
    /**
     * The method to get the gappsEnabled
     * @returns A boolean representing the gappsEnabled
     */
    getGappsEnabled(): boolean;
    /**
     * The method to set the value to gappsEnabled
     * @param gappsEnabled A boolean representing the gappsEnabled
     */
    setGappsEnabled(gappsEnabled: boolean): void;
    /**
     * The method to get the domainName
     * @returns A string representing the domainName
     */
    getDomainName(): string;
    /**
     * The method to set the value to domainName
     * @param domainName A string representing the domainName
     */
    setDomainName(domainName: string): void;
    /**
     * The method to get the translationEnabled
     * @returns A boolean representing the translationEnabled
     */
    getTranslationEnabled(): boolean;
    /**
     * The method to set the value to translationEnabled
     * @param translationEnabled A boolean representing the translationEnabled
     */
    setTranslationEnabled(translationEnabled: boolean): void;
    /**
     * The method to get the street
     * @returns A string representing the street
     */
    getStreet(): string;
    /**
     * The method to set the value to street
     * @param street A string representing the street
     */
    setStreet(street: string): void;
    /**
     * The method to get the alias
     * @returns A string representing the alias
     */
    getAlias(): string;
    /**
     * The method to set the value to alias
     * @param alias A string representing the alias
     */
    setAlias(alias: string): void;
    /**
     * The method to get the currency
     * @returns A string representing the currency
     */
    getCurrency(): string;
    /**
     * The method to set the value to currency
     * @param currency A string representing the currency
     */
    setCurrency(currency: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the state
     * @returns A string representing the state
     */
    getState(): string;
    /**
     * The method to set the value to state
     * @param state A string representing the state
     */
    setState(state: string): void;
    /**
     * The method to get the fax
     * @returns A string representing the fax
     */
    getFax(): string;
    /**
     * The method to set the value to fax
     * @param fax A string representing the fax
     */
    setFax(fax: string): void;
    /**
     * The method to get the employeeCount
     * @returns A string representing the employeeCount
     */
    getEmployeeCount(): string;
    /**
     * The method to set the value to employeeCount
     * @param employeeCount A string representing the employeeCount
     */
    setEmployeeCount(employeeCount: string): void;
    /**
     * The method to get the zip
     * @returns A string representing the zip
     */
    getZip(): string;
    /**
     * The method to set the value to zip
     * @param zip A string representing the zip
     */
    setZip(zip: string): void;
    /**
     * The method to get the website
     * @returns A string representing the website
     */
    getWebsite(): string;
    /**
     * The method to set the value to website
     * @param website A string representing the website
     */
    setWebsite(website: string): void;
    /**
     * The method to get the currencySymbol
     * @returns A string representing the currencySymbol
     */
    getCurrencySymbol(): string;
    /**
     * The method to set the value to currencySymbol
     * @param currencySymbol A string representing the currencySymbol
     */
    setCurrencySymbol(currencySymbol: string): void;
    /**
     * The method to get the mobile
     * @returns A string representing the mobile
     */
    getMobile(): string;
    /**
     * The method to set the value to mobile
     * @param mobile A string representing the mobile
     */
    setMobile(mobile: string): void;
    /**
     * The method to get the currencyLocale
     * @returns A string representing the currencyLocale
     */
    getCurrencyLocale(): string;
    /**
     * The method to set the value to currencyLocale
     * @param currencyLocale A string representing the currencyLocale
     */
    setCurrencyLocale(currencyLocale: string): void;
    /**
     * The method to get the primaryZuid
     * @returns A string representing the primaryZuid
     */
    getPrimaryZuid(): string;
    /**
     * The method to set the value to primaryZuid
     * @param primaryZuid A string representing the primaryZuid
     */
    setPrimaryZuid(primaryZuid: string): void;
    /**
     * The method to get the ziaPortalId
     * @returns A string representing the ziaPortalId
     */
    getZiaPortalId(): string;
    /**
     * The method to set the value to ziaPortalId
     * @param ziaPortalId A string representing the ziaPortalId
     */
    setZiaPortalId(ziaPortalId: string): void;
    /**
     * The method to get the timeZone
     * @returns A string representing the timeZone
     */
    getTimeZone(): string;
    /**
     * The method to set the value to timeZone
     * @param timeZone A string representing the timeZone
     */
    setTimeZone(timeZone: string): void;
    /**
     * The method to get the zgid
     * @returns A string representing the zgid
     */
    getZgid(): string;
    /**
     * The method to set the value to zgid
     * @param zgid A string representing the zgid
     */
    setZgid(zgid: string): void;
    /**
     * The method to get the countryCode
     * @returns A string representing the countryCode
     */
    getCountryCode(): string;
    /**
     * The method to set the value to countryCode
     * @param countryCode A string representing the countryCode
     */
    setCountryCode(countryCode: string): void;
    /**
     * The method to get the licenseDetails
     * @returns An instance of LicenseDetails
     */
    getLicenseDetails(): LicenseDetails;
    /**
     * The method to set the value to licenseDetails
     * @param licenseDetails An instance of LicenseDetails
     */
    setLicenseDetails(licenseDetails: LicenseDetails): void;
    /**
     * The method to get the phone
     * @returns A string representing the phone
     */
    getPhone(): string;
    /**
     * The method to set the value to phone
     * @param phone A string representing the phone
     */
    setPhone(phone: string): void;
    /**
     * The method to get the companyName
     * @returns A string representing the companyName
     */
    getCompanyName(): string;
    /**
     * The method to set the value to companyName
     * @param companyName A string representing the companyName
     */
    setCompanyName(companyName: string): void;
    /**
     * The method to get the privacySettings
     * @returns A boolean representing the privacySettings
     */
    getPrivacySettings(): boolean;
    /**
     * The method to set the value to privacySettings
     * @param privacySettings A boolean representing the privacySettings
     */
    setPrivacySettings(privacySettings: boolean): void;
    /**
     * The method to get the primaryEmail
     * @returns A string representing the primaryEmail
     */
    getPrimaryEmail(): string;
    /**
     * The method to set the value to primaryEmail
     * @param primaryEmail A string representing the primaryEmail
     */
    setPrimaryEmail(primaryEmail: string): void;
    /**
     * The method to get the hipaaComplianceEnabled
     * @returns A boolean representing the hipaaComplianceEnabled
     */
    getHipaaComplianceEnabled(): boolean;
    /**
     * The method to set the value to hipaaComplianceEnabled
     * @param hipaaComplianceEnabled A boolean representing the hipaaComplianceEnabled
     */
    setHipaaComplianceEnabled(hipaaComplianceEnabled: boolean): void;
    /**
     * The method to get the isoCode
     * @returns A string representing the isoCode
     */
    getIsoCode(): string;
    /**
     * The method to set the value to isoCode
     * @param isoCode A string representing the isoCode
     */
    setIsoCode(isoCode: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Org as MasterModel, Org as Org };
