import { ActionResponse } from "./action_response";
import { FileBodyWrapper } from "./file_body_wrapper";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class OrgOperations {
    /**
     * The method to get organization
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getOrganization(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to upload organization photo
     * @param request An instance of FileBodyWrapper
     * @returns An instance of APIResponse<ActionResponse>
     * @throws SDKException
     */
    uploadOrganizationPhoto(request: FileBodyWrapper): Promise<APIResponse<ActionResponse>>;
}
export { OrgOperations as MasterModel, OrgOperations as OrgOperations };
