"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PickListValue = exports.MasterModel = void 0;
class PickListValue {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the displayValue
     * @returns A string representing the displayValue
     */
    getDisplayValue() {
        return this.displayValue;
    }
    /**
     * The method to set the value to displayValue
     * @param displayValue A string representing the displayValue
     */
    setDisplayValue(displayValue) {
        this.displayValue = displayValue;
        this.keyModified.set("display_value", 1);
    }
    /**
     * The method to get the delete
     * @returns A boolean representing the delete1
     */
    getDelete() {
        return this.delete1;
    }
    /**
     * The method to set the value to delete
     * @param delete1 A boolean representing the delete1
     */
    setDelete(delete1) {
        this.delete1 = delete1;
        this.keyModified.set("_delete", 1);
    }
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber() {
        return this.sequenceNumber;
    }
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
        this.keyModified.set("sequence_number", 1);
    }
    /**
     * The method to get the actualValue
     * @returns A string representing the actualValue
     */
    getActualValue() {
        return this.actualValue;
    }
    /**
     * The method to set the value to actualValue
     * @param actualValue A string representing the actualValue
     */
    setActualValue(actualValue) {
        this.actualValue = actualValue;
        this.keyModified.set("actual_value", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the forecastType
     * @returns A string representing the forecastType
     */
    getForecastType() {
        return this.forecastType;
    }
    /**
     * The method to set the value to forecastType
     * @param forecastType A string representing the forecastType
     */
    setForecastType(forecastType) {
        this.forecastType = forecastType;
        this.keyModified.set("forecast_type", 1);
    }
    /**
     * The method to get the forecastCategory
     * @returns An instance of ForecastCategory
     */
    getForecastCategory() {
        return this.forecastCategory;
    }
    /**
     * The method to set the value to forecastCategory
     * @param forecastCategory An instance of ForecastCategory
     */
    setForecastCategory(forecastCategory) {
        this.forecastCategory = forecastCategory;
        this.keyModified.set("forecast_category", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = PickListValue;
exports.PickListValue = PickListValue;
