"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransferActionWrapper = exports.MasterModel = void 0;
class TransferActionWrapper {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the transferPipeline
     * @returns An Array representing the transferPipeline
     */
    getTransferPipeline() {
        return this.transferPipeline;
    }
    /**
     * The method to set the value to transferPipeline
     * @param transferPipeline An Array representing the transferPipeline
     */
    setTransferPipeline(transferPipeline) {
        this.transferPipeline = transferPipeline;
        this.keyModified.set("transfer_pipeline", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = TransferActionWrapper;
exports.TransferActionWrapper = TransferActionWrapper;
