import { TransferPipeLine } from "./transfer_pipe_line";
import { Model } from "../../../../../../utils/util/model";
declare class TransferAndDeleteWrapper implements Model {
    private transferPipeline;
    private keyModified;
    /**
     * The method to get the transferPipeline
     * @returns An Array representing the transferPipeline
     */
    getTransferPipeline(): Array<TransferPipeLine>;
    /**
     * The method to set the value to transferPipeline
     * @param transferPipeline An Array representing the transferPipeline
     */
    setTransferPipeline(transferPipeline: Array<TransferPipeLine>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { TransferAndDeleteWrapper as MasterModel, TransferAndDeleteWrapper as TransferAndDeleteWrapper };
