import { Pipeline } from "./pipeline";
import { Stage } from "./stage";
import { Model } from "../../../../../../utils/util/model";
declare class TransferPipeLine implements Model {
    private pipeline;
    private stages;
    private keyModified;
    /**
     * The method to get the pipeline
     * @returns An instance of Pipeline
     */
    getPipeline(): Pipeline;
    /**
     * The method to set the value to pipeline
     * @param pipeline An instance of Pipeline
     */
    setPipeline(pipeline: Pipeline): void;
    /**
     * The method to get the stages
     * @returns An Array representing the stages
     */
    getStages(): Array<Stage>;
    /**
     * The method to set the value to stages
     * @param stages An Array representing the stages
     */
    setStages(stages: Array<Stage>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { TransferPipeLine as MasterModel, TransferPipeLine as TransferPipeLine };
