import { Model } from "../../../../../../utils/util/model";
declare class Category implements Model {
    private displayLabel;
    private permissionsDetails;
    private name;
    private module;
    private keyModified;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the permissionsDetails
     * @returns An Array representing the permissionsDetails
     */
    getPermissionsDetails(): Array<string>;
    /**
     * The method to set the value to permissionsDetails
     * @param permissionsDetails An Array representing the permissionsDetails
     */
    setPermissionsDetails(permissionsDetails: Array<string>): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the module
     * @returns A string representing the module
     */
    getModule(): string;
    /**
     * The method to set the value to module
     * @param module A string representing the module
     */
    setModule(module: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Category as MasterModel, Category as Category };
