import { Model } from "../../../../../../utils/util/model";
declare class BodyWrapper implements Model {
    private selectQuery;
    private keyModified;
    /**
     * The method to get the selectQuery
     * @returns A string representing the selectQuery
     */
    getSelectQuery(): string;
    /**
     * The method to set the value to selectQuery
     * @param selectQuery A string representing the selectQuery
     */
    setSelectQuery(selectQuery: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BodyWrapper as MasterModel, BodyWrapper as BodyWrapper };
