import { ResponseHandler } from "./response_handler";
import { Info } from "../record/info";
import { Record } from "../record/record";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private data;
    private info;
    private keyModified;
    /**
     * The method to get the data
     * @returns An Array representing the data
     */
    getData(): Array<Record>;
    /**
     * The method to set the value to data
     * @param data An Array representing the data
     */
    setData(data: Array<Record>): void;
    /**
     * The method to get the info
     * @returns An instance of Info
     */
    getInfo(): Info;
    /**
     * The method to set the value to info
     * @param info An instance of Info
     */
    setInfo(info: Info): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
