import { Record } from "./record";
import { Model } from "../../../../../../utils/util/model";
declare class BodyWrapper implements Model {
    private data;
    private trigger;
    private process;
    private duplicateCheckFields;
    private wfTrigger;
    private larId;
    private keyModified;
    /**
     * The method to get the data
     * @returns An Array representing the data
     */
    getData(): Array<Record>;
    /**
     * The method to set the value to data
     * @param data An Array representing the data
     */
    setData(data: Array<Record>): void;
    /**
     * The method to get the trigger
     * @returns An Array representing the trigger
     */
    getTrigger(): Array<string>;
    /**
     * The method to set the value to trigger
     * @param trigger An Array representing the trigger
     */
    setTrigger(trigger: Array<string>): void;
    /**
     * The method to get the process
     * @returns An Array representing the process
     */
    getProcess(): Array<string>;
    /**
     * The method to set the value to process
     * @param process An Array representing the process
     */
    setProcess(process: Array<string>): void;
    /**
     * The method to get the duplicateCheckFields
     * @returns An Array representing the duplicateCheckFields
     */
    getDuplicateCheckFields(): Array<string>;
    /**
     * The method to set the value to duplicateCheckFields
     * @param duplicateCheckFields An Array representing the duplicateCheckFields
     */
    setDuplicateCheckFields(duplicateCheckFields: Array<string>): void;
    /**
     * The method to get the wfTrigger
     * @returns A string representing the wfTrigger
     */
    getWfTrigger(): string;
    /**
     * The method to set the value to wfTrigger
     * @param wfTrigger A string representing the wfTrigger
     */
    setWfTrigger(wfTrigger: string): void;
    /**
     * The method to get the larId
     * @returns A string representing the larId
     */
    getLarId(): string;
    /**
     * The method to set the value to larId
     * @param larId A string representing the larId
     */
    setLarId(larId: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BodyWrapper as MasterModel, BodyWrapper as BodyWrapper };
