import { Model } from "../../../../../../utils/util/model";
declare class CarryOverTags implements Model {
    private contacts;
    private accounts;
    private deals;
    private keyModified;
    /**
     * The method to get the contacts
     * @returns An Array representing the contacts
     */
    getContacts(): Array<string>;
    /**
     * The method to set the value to contacts
     * @param contacts An Array representing the contacts
     */
    setContacts(contacts: Array<string>): void;
    /**
     * The method to get the accounts
     * @returns An Array representing the accounts
     */
    getAccounts(): Array<string>;
    /**
     * The method to set the value to accounts
     * @param accounts An Array representing the accounts
     */
    setAccounts(accounts: Array<string>): void;
    /**
     * The method to get the deals
     * @returns An Array representing the deals
     */
    getDeals(): Array<string>;
    /**
     * The method to set the value to deals
     * @param deals An Array representing the deals
     */
    setDeals(deals: Array<string>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { CarryOverTags as MasterModel, CarryOverTags as CarryOverTags };
