import { Model } from "../../../../../../utils/util/model";
declare class Comment implements Model {
    private commentedBy;
    private commentedTime;
    private commentContent;
    private id;
    private keyModified;
    /**
     * The method to get the commentedBy
     * @returns A string representing the commentedBy
     */
    getCommentedBy(): string;
    /**
     * The method to set the value to commentedBy
     * @param commentedBy A string representing the commentedBy
     */
    setCommentedBy(commentedBy: string): void;
    /**
     * The method to get the commentedTime
     * @returns An instance of Date
     */
    getCommentedTime(): Date;
    /**
     * The method to set the value to commentedTime
     * @param commentedTime An instance of Date
     */
    setCommentedTime(commentedTime: Date): void;
    /**
     * The method to get the commentContent
     * @returns A string representing the commentContent
     */
    getCommentContent(): string;
    /**
     * The method to set the value to commentContent
     * @param commentContent A string representing the commentContent
     */
    setCommentContent(commentContent: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Comment as MasterModel, Comment as Comment };
