import { User } from "../users/user";
import { Record } from "./record";
import { Model } from "../../../../../../utils/util/model";
declare class Consent extends Record implements Model {
    /**
     * The method to get the owner
     * @returns An instance of User
     */
    getOwner(): User;
    /**
     * The method to set the value to owner
     * @param owner An instance of User
     */
    setOwner(owner: User): void;
    /**
     * The method to get the contactThroughEmail
     * @returns A boolean representing the contactThroughEmail
     */
    getContactThroughEmail(): boolean;
    /**
     * The method to set the value to contactThroughEmail
     * @param contactThroughEmail A boolean representing the contactThroughEmail
     */
    setContactThroughEmail(contactThroughEmail: boolean): void;
    /**
     * The method to get the contactThroughSocial
     * @returns A boolean representing the contactThroughSocial
     */
    getContactThroughSocial(): boolean;
    /**
     * The method to set the value to contactThroughSocial
     * @param contactThroughSocial A boolean representing the contactThroughSocial
     */
    setContactThroughSocial(contactThroughSocial: boolean): void;
    /**
     * The method to get the contactThroughSurvey
     * @returns A boolean representing the contactThroughSurvey
     */
    getContactThroughSurvey(): boolean;
    /**
     * The method to set the value to contactThroughSurvey
     * @param contactThroughSurvey A boolean representing the contactThroughSurvey
     */
    setContactThroughSurvey(contactThroughSurvey: boolean): void;
    /**
     * The method to get the contactThroughPhone
     * @returns A boolean representing the contactThroughPhone
     */
    getContactThroughPhone(): boolean;
    /**
     * The method to set the value to contactThroughPhone
     * @param contactThroughPhone A boolean representing the contactThroughPhone
     */
    setContactThroughPhone(contactThroughPhone: boolean): void;
    /**
     * The method to get the mailSentTime
     * @returns An instance of Date
     */
    getMailSentTime(): Date;
    /**
     * The method to set the value to mailSentTime
     * @param mailSentTime An instance of Date
     */
    setMailSentTime(mailSentTime: Date): void;
    /**
     * The method to get the consentDate
     * @returns An instance of Date
     */
    getConsentDate(): Date;
    /**
     * The method to set the value to consentDate
     * @param consentDate An instance of Date
     */
    setConsentDate(consentDate: Date): void;
    /**
     * The method to get the consentRemarks
     * @returns A string representing the consentRemarks
     */
    getConsentRemarks(): string;
    /**
     * The method to set the value to consentRemarks
     * @param consentRemarks A string representing the consentRemarks
     */
    setConsentRemarks(consentRemarks: string): void;
    /**
     * The method to get the consentThrough
     * @returns A string representing the consentThrough
     */
    getConsentThrough(): string;
    /**
     * The method to set the value to consentThrough
     * @param consentThrough A string representing the consentThrough
     */
    setConsentThrough(consentThrough: string): void;
    /**
     * The method to get the dataProcessingBasis
     * @returns A string representing the dataProcessingBasis
     */
    getDataProcessingBasis(): string;
    /**
     * The method to set the value to dataProcessingBasis
     * @param dataProcessingBasis A string representing the dataProcessingBasis
     */
    setDataProcessingBasis(dataProcessingBasis: string): void;
}
export { Consent as MasterModel, Consent as Consent };
