import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class DeletedRecord implements Model {
    private deletedBy;
    private id;
    private displayName;
    private type;
    private createdBy;
    private deletedTime;
    private keyModified;
    /**
     * The method to get the deletedBy
     * @returns An instance of User
     */
    getDeletedBy(): User;
    /**
     * The method to set the value to deletedBy
     * @param deletedBy An instance of User
     */
    setDeletedBy(deletedBy: User): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the displayName
     * @returns A string representing the displayName
     */
    getDisplayName(): string;
    /**
     * The method to set the value to displayName
     * @param displayName A string representing the displayName
     */
    setDisplayName(displayName: string): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the deletedTime
     * @returns An instance of Date
     */
    getDeletedTime(): Date;
    /**
     * The method to set the value to deletedTime
     * @param deletedTime An instance of Date
     */
    setDeletedTime(deletedTime: Date): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { DeletedRecord as MasterModel, DeletedRecord as DeletedRecord };
