import { StreamWrapper } from "../../../../../../utils/util/stream_wrapper";
import { DownloadHandler } from "./download_handler";
import { ResponseHandler } from "./response_handler";
import { Model } from "../../../../../../utils/util/model";
declare class FileBodyWrapper implements Model, ResponseHandler, DownloadHandler {
    private file;
    private keyModified;
    /**
     * The method to get the file
     * @returns An instance of StreamWrapper
     */
    getFile(): StreamWrapper;
    /**
     * The method to set the value to file
     * @param file An instance of StreamWrapper
     */
    setFile(file: StreamWrapper): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { FileBodyWrapper as MasterModel, FileBodyWrapper as FileBodyWrapper };
