import { MassUpdateResponse } from "./mass_update_response";
import { Choice } from "../../../../../../utils/util/choice";
import { Model } from "../../../../../../utils/util/model";
declare class MassUpdate implements Model, MassUpdateResponse {
    private status;
    private failedCount;
    private updatedCount;
    private notUpdatedCount;
    private totalCount;
    private keyModified;
    /**
     * The method to get the status
     * @returns An instance of Choice<string>
     */
    getStatus(): Choice<string>;
    /**
     * The method to set the value to status
     * @param status An instance of Choice<string>
     */
    setStatus(status: Choice<string>): void;
    /**
     * The method to get the failedCount
     * @returns A number representing the failedCount
     */
    getFailedCount(): number;
    /**
     * The method to set the value to failedCount
     * @param failedCount A number representing the failedCount
     */
    setFailedCount(failedCount: number): void;
    /**
     * The method to get the updatedCount
     * @returns A number representing the updatedCount
     */
    getUpdatedCount(): number;
    /**
     * The method to set the value to updatedCount
     * @param updatedCount A number representing the updatedCount
     */
    setUpdatedCount(updatedCount: number): void;
    /**
     * The method to get the notUpdatedCount
     * @returns A number representing the notUpdatedCount
     */
    getNotUpdatedCount(): number;
    /**
     * The method to set the value to notUpdatedCount
     * @param notUpdatedCount A number representing the notUpdatedCount
     */
    setNotUpdatedCount(notUpdatedCount: number): void;
    /**
     * The method to get the totalCount
     * @returns A number representing the totalCount
     */
    getTotalCount(): number;
    /**
     * The method to set the value to totalCount
     * @param totalCount A number representing the totalCount
     */
    setTotalCount(totalCount: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { MassUpdate as MasterModel, MassUpdate as MassUpdate };
