import { Criteria } from "./criteria";
import { MassUpdateTerritory } from "./mass_update_territory";
import { Record } from "./record";
import { Model } from "../../../../../../utils/util/model";
declare class MassUpdateBodyWrapper implements Model {
    private data;
    private cvid;
    private ids;
    private territory;
    private overWrite;
    private criteria;
    private keyModified;
    /**
     * The method to get the data
     * @returns An Array representing the data
     */
    getData(): Array<Record>;
    /**
     * The method to set the value to data
     * @param data An Array representing the data
     */
    setData(data: Array<Record>): void;
    /**
     * The method to get the cvid
     * @returns A string representing the cvid
     */
    getCvid(): string;
    /**
     * The method to set the value to cvid
     * @param cvid A string representing the cvid
     */
    setCvid(cvid: string): void;
    /**
     * The method to get the ids
     * @returns An Array representing the ids
     */
    getIds(): Array<string>;
    /**
     * The method to set the value to ids
     * @param ids An Array representing the ids
     */
    setIds(ids: Array<string>): void;
    /**
     * The method to get the territory
     * @returns An instance of MassUpdateTerritory
     */
    getTerritory(): MassUpdateTerritory;
    /**
     * The method to set the value to territory
     * @param territory An instance of MassUpdateTerritory
     */
    setTerritory(territory: MassUpdateTerritory): void;
    /**
     * The method to get the overWrite
     * @returns A boolean representing the overWrite
     */
    getOverWrite(): boolean;
    /**
     * The method to set the value to overWrite
     * @param overWrite A boolean representing the overWrite
     */
    setOverWrite(overWrite: boolean): void;
    /**
     * The method to get the criteria
     * @returns An Array representing the criteria
     */
    getCriteria(): Array<Criteria>;
    /**
     * The method to set the value to criteria
     * @param criteria An Array representing the criteria
     */
    setCriteria(criteria: Array<Criteria>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { MassUpdateBodyWrapper as MasterModel, MassUpdateBodyWrapper as MassUpdateBodyWrapper };
