import { Model } from "../../../../../../utils/util/model";
declare class RecurringActivity implements Model {
    private rrule;
    private keyModified;
    /**
     * The method to get the rrule
     * @returns A string representing the rrule
     */
    getRrule(): string;
    /**
     * The method to set the value to rrule
     * @param rrule A string representing the rrule
     */
    setRrule(rrule: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { RecurringActivity as MasterModel, RecurringActivity as RecurringActivity };
