import { Model } from "../../../../../../utils/util/model";
declare class RemindAt implements Model {
    private alarm;
    private keyModified;
    /**
     * The method to get the alarm
     * @returns A string representing the alarm
     */
    getAlarm(): string;
    /**
     * The method to set the value to alarm
     * @param alarm A string representing the alarm
     */
    setAlarm(alarm: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { RemindAt as MasterModel, RemindAt as RemindAt };
