import { ConvertActionResponse } from "./convert_action_response";
import { Model } from "../../../../../../utils/util/model";
declare class SuccessfulConvert implements Model, ConvertActionResponse {
    private contacts;
    private deals;
    private accounts;
    private keyModified;
    /**
     * The method to get the contacts
     * @returns A string representing the contacts
     */
    getContacts(): string;
    /**
     * The method to set the value to contacts
     * @param contacts A string representing the contacts
     */
    setContacts(contacts: string): void;
    /**
     * The method to get the deals
     * @returns A string representing the deals
     */
    getDeals(): string;
    /**
     * The method to set the value to deals
     * @param deals A string representing the deals
     */
    setDeals(deals: string): void;
    /**
     * The method to get the accounts
     * @returns A string representing the accounts
     */
    getAccounts(): string;
    /**
     * The method to set the value to accounts
     * @param accounts A string representing the accounts
     */
    setAccounts(accounts: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { SuccessfulConvert as MasterModel, SuccessfulConvert as SuccessfulConvert };
