import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Territory implements Model {
    private assigned;
    private name;
    private id;
    private assignedTime;
    private assignedBy;
    private keyModified;
    /**
     * The method to get the assigned
     * @returns A string representing the assigned
     */
    getAssigned(): string;
    /**
     * The method to set the value to assigned
     * @param assigned A string representing the assigned
     */
    setAssigned(assigned: string): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the assignedTime
     * @returns An instance of Date
     */
    getAssignedTime(): Date;
    /**
     * The method to set the value to assignedTime
     * @param assignedTime An instance of Date
     */
    setAssignedTime(assignedTime: Date): void;
    /**
     * The method to get the assignedBy
     * @returns An instance of User
     */
    getAssignedBy(): User;
    /**
     * The method to set the value to assignedBy
     * @param assignedBy An instance of User
     */
    setAssignedBy(assignedBy: User): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Territory as MasterModel, Territory as Territory };
