import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class RelatedListsOperations {
    private module?;
    /**
     * Creates an instance of RelatedListsOperations with the given parameters
     * @param module A string representing the module
     */
    constructor(module?: string);
    /**
     * The method to get related lists
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getRelatedLists(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get related list
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getRelatedList(id: bigint): Promise<APIResponse<ResponseHandler>>;
}
declare class GetRelatedListsParam {
}
declare class GetRelatedListParam {
}
export { GetRelatedListsParam as GetRelatedListsParam, RelatedListsOperations as MasterModel, RelatedListsOperations as RelatedListsOperations, GetRelatedListParam as GetRelatedListParam };
