import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Role implements Model {
    private displayLabel;
    private forecastManager;
    private shareWithPeers;
    private name;
    private description;
    private id;
    private reportingTo;
    private adminUser;
    private keyModified;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the forecastManager
     * @returns An instance of User
     */
    getForecastManager(): User;
    /**
     * The method to set the value to forecastManager
     * @param forecastManager An instance of User
     */
    setForecastManager(forecastManager: User): void;
    /**
     * The method to get the shareWithPeers
     * @returns A boolean representing the shareWithPeers
     */
    getShareWithPeers(): boolean;
    /**
     * The method to set the value to shareWithPeers
     * @param shareWithPeers A boolean representing the shareWithPeers
     */
    setShareWithPeers(shareWithPeers: boolean): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the reportingTo
     * @returns An instance of User
     */
    getReportingTo(): User;
    /**
     * The method to set the value to reportingTo
     * @param reportingTo An instance of User
     */
    setReportingTo(reportingTo: User): void;
    /**
     * The method to get the adminUser
     * @returns A boolean representing the adminUser
     */
    getAdminUser(): boolean;
    /**
     * The method to set the value to adminUser
     * @param adminUser A boolean representing the adminUser
     */
    setAdminUser(adminUser: boolean): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Role as MasterModel, Role as Role };
