import { InventoryTemplate } from "../inventory_templates/inventory_template";
import { Model } from "../../../../../../utils/util/model";
declare class InventoryDetails implements Model {
    private inventoryTemplate;
    private paperType;
    private viewType;
    private keyModified;
    /**
     * The method to get the inventoryTemplate
     * @returns An instance of InventoryTemplate
     */
    getInventoryTemplate(): InventoryTemplate;
    /**
     * The method to set the value to inventoryTemplate
     * @param inventoryTemplate An instance of InventoryTemplate
     */
    setInventoryTemplate(inventoryTemplate: InventoryTemplate): void;
    /**
     * The method to get the paperType
     * @returns A string representing the paperType
     */
    getPaperType(): string;
    /**
     * The method to set the value to paperType
     * @param paperType A string representing the paperType
     */
    setPaperType(paperType: string): void;
    /**
     * The method to get the viewType
     * @returns A string representing the viewType
     */
    getViewType(): string;
    /**
     * The method to set the value to viewType
     * @param viewType A string representing the viewType
     */
    setViewType(viewType: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { InventoryDetails as MasterModel, InventoryDetails as InventoryDetails };
