"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mail = exports.MasterModel = void 0;
class Mail {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the from
     * @returns An instance of UserAddress
     */
    getFrom() {
        return this.from;
    }
    /**
     * The method to set the value to from
     * @param from An instance of UserAddress
     */
    setFrom(from) {
        this.from = from;
        this.keyModified.set("from", 1);
    }
    /**
     * The method to get the to
     * @returns An Array representing the to
     */
    getTo() {
        return this.to;
    }
    /**
     * The method to set the value to to
     * @param to An Array representing the to
     */
    setTo(to) {
        this.to = to;
        this.keyModified.set("to", 1);
    }
    /**
     * The method to get the cc
     * @returns An Array representing the cc
     */
    getCc() {
        return this.cc;
    }
    /**
     * The method to set the value to cc
     * @param cc An Array representing the cc
     */
    setCc(cc) {
        this.cc = cc;
        this.keyModified.set("cc", 1);
    }
    /**
     * The method to get the bcc
     * @returns An Array representing the bcc
     */
    getBcc() {
        return this.bcc;
    }
    /**
     * The method to set the value to bcc
     * @param bcc An Array representing the bcc
     */
    setBcc(bcc) {
        this.bcc = bcc;
        this.keyModified.set("bcc", 1);
    }
    /**
     * The method to get the replyTo
     * @returns An instance of UserAddress
     */
    getReplyTo() {
        return this.replyTo;
    }
    /**
     * The method to set the value to replyTo
     * @param replyTo An instance of UserAddress
     */
    setReplyTo(replyTo) {
        this.replyTo = replyTo;
        this.keyModified.set("reply_to", 1);
    }
    /**
     * The method to get the template
     * @returns An instance of Template
     */
    getTemplate() {
        return this.template;
    }
    /**
     * The method to set the value to template
     * @param template An instance of Template
     */
    setTemplate(template) {
        this.template = template;
        this.keyModified.set("template", 1);
    }
    /**
     * The method to get the email
     * @returns A number representing the email
     */
    getEmail() {
        return this.email;
    }
    /**
     * The method to set the value to email
     * @param email A number representing the email
     */
    setEmail(email) {
        this.email = email;
        this.keyModified.set("email", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the inReplyTo
     * @returns A string representing the inReplyTo
     */
    getInReplyTo() {
        return this.inReplyTo;
    }
    /**
     * The method to set the value to inReplyTo
     * @param inReplyTo A string representing the inReplyTo
     */
    setInReplyTo(inReplyTo) {
        this.inReplyTo = inReplyTo;
        this.keyModified.set("in_reply_to", 1);
    }
    /**
     * The method to get the scheduledTime
     * @returns An instance of Date
     */
    getScheduledTime() {
        return this.scheduledTime;
    }
    /**
     * The method to set the value to scheduledTime
     * @param scheduledTime An instance of Date
     */
    setScheduledTime(scheduledTime) {
        this.scheduledTime = scheduledTime;
        this.keyModified.set("scheduled_time", 1);
    }
    /**
     * The method to get the subject
     * @returns A string representing the subject
     */
    getSubject() {
        return this.subject;
    }
    /**
     * The method to set the value to subject
     * @param subject A string representing the subject
     */
    setSubject(subject) {
        this.subject = subject;
        this.keyModified.set("subject", 1);
    }
    /**
     * The method to get the content
     * @returns A string representing the content
     */
    getContent() {
        return this.content;
    }
    /**
     * The method to set the value to content
     * @param content A string representing the content
     */
    setContent(content) {
        this.content = content;
        this.keyModified.set("content", 1);
    }
    /**
     * The method to get the paperType
     * @returns A string representing the paperType
     */
    getPaperType() {
        return this.paperType;
    }
    /**
     * The method to set the value to paperType
     * @param paperType A string representing the paperType
     */
    setPaperType(paperType) {
        this.paperType = paperType;
        this.keyModified.set("paper_type", 1);
    }
    /**
     * The method to get the viewType
     * @returns A string representing the viewType
     */
    getViewType() {
        return this.viewType;
    }
    /**
     * The method to set the value to viewType
     * @param viewType A string representing the viewType
     */
    setViewType(viewType) {
        this.viewType = viewType;
        this.keyModified.set("view_type", 1);
    }
    /**
     * The method to get the mailFormat
     * @returns A string representing the mailFormat
     */
    getMailFormat() {
        return this.mailFormat;
    }
    /**
     * The method to set the value to mailFormat
     * @param mailFormat A string representing the mailFormat
     */
    setMailFormat(mailFormat) {
        this.mailFormat = mailFormat;
        this.keyModified.set("mail_format", 1);
    }
    /**
     * The method to get the consentEmail
     * @returns A boolean representing the consentEmail
     */
    getConsentEmail() {
        return this.consentEmail;
    }
    /**
     * The method to set the value to consentEmail
     * @param consentEmail A boolean representing the consentEmail
     */
    setConsentEmail(consentEmail) {
        this.consentEmail = consentEmail;
        this.keyModified.set("consent_email", 1);
    }
    /**
     * The method to get the orgEmail
     * @returns A boolean representing the orgEmail
     */
    getOrgEmail() {
        return this.orgEmail;
    }
    /**
     * The method to set the value to orgEmail
     * @param orgEmail A boolean representing the orgEmail
     */
    setOrgEmail(orgEmail) {
        this.orgEmail = orgEmail;
        this.keyModified.set("org_email", 1);
    }
    /**
     * The method to get the attachments
     * @returns An Array representing the attachments
     */
    getAttachments() {
        return this.attachments;
    }
    /**
     * The method to set the value to attachments
     * @param attachments An Array representing the attachments
     */
    setAttachments(attachments) {
        this.attachments = attachments;
        this.keyModified.set("attachments", 1);
    }
    /**
     * The method to get the inventoryDetails
     * @returns An instance of InventoryDetails
     */
    getInventoryDetails() {
        return this.inventoryDetails;
    }
    /**
     * The method to set the value to inventoryDetails
     * @param inventoryDetails An instance of InventoryDetails
     */
    setInventoryDetails(inventoryDetails) {
        this.inventoryDetails = inventoryDetails;
        this.keyModified.set("inventory_details", 1);
    }
    /**
     * The method to get the dataSubjectRequest
     * @returns An instance of DataSubjectRequest
     */
    getDataSubjectRequest() {
        return this.dataSubjectRequest;
    }
    /**
     * The method to set the value to dataSubjectRequest
     * @param dataSubjectRequest An instance of DataSubjectRequest
     */
    setDataSubjectRequest(dataSubjectRequest) {
        this.dataSubjectRequest = dataSubjectRequest;
        this.keyModified.set("data_subject_request", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Mail;
exports.Mail = Mail;
