import { DeleteActionHandler } from "./delete_action_handler";
import { DeleteActionResponse } from "./delete_action_response";
import { Model } from "../../../../../../utils/util/model";
declare class DeleteActionWrapper implements Model, DeleteActionHandler {
    private share;
    private keyModified;
    /**
     * The method to get the share
     * @returns An instance of DeleteActionResponse
     */
    getShare(): DeleteActionResponse;
    /**
     * The method to set the value to share
     * @param share An instance of DeleteActionResponse
     */
    setShare(share: DeleteActionResponse): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { DeleteActionWrapper as MasterModel, DeleteActionWrapper as DeleteActionWrapper };
