import { ResponseHandler } from "./response_handler";
import { ShareRecord } from "./share_record";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private share;
    private shareableUser;
    private keyModified;
    /**
     * The method to get the share
     * @returns An Array representing the share
     */
    getShare(): Array<ShareRecord>;
    /**
     * The method to set the value to share
     * @param share An Array representing the share
     */
    setShare(share: Array<ShareRecord>): void;
    /**
     * The method to get the shareableUser
     * @returns An Array representing the shareableUser
     */
    getShareableUser(): Array<User>;
    /**
     * The method to set the value to shareableUser
     * @param shareableUser An Array representing the shareableUser
     */
    setShareableUser(shareableUser: Array<User>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
