import { SharedThrough } from "./shared_through";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class ShareRecord implements Model {
    private shareRelatedRecords;
    private sharedThrough;
    private sharedTime;
    private permission;
    private sharedBy;
    private user;
    private keyModified;
    /**
     * The method to get the shareRelatedRecords
     * @returns A boolean representing the shareRelatedRecords
     */
    getShareRelatedRecords(): boolean;
    /**
     * The method to set the value to shareRelatedRecords
     * @param shareRelatedRecords A boolean representing the shareRelatedRecords
     */
    setShareRelatedRecords(shareRelatedRecords: boolean): void;
    /**
     * The method to get the sharedThrough
     * @returns An instance of SharedThrough
     */
    getSharedThrough(): SharedThrough;
    /**
     * The method to set the value to sharedThrough
     * @param sharedThrough An instance of SharedThrough
     */
    setSharedThrough(sharedThrough: SharedThrough): void;
    /**
     * The method to get the sharedTime
     * @returns An instance of Date
     */
    getSharedTime(): Date;
    /**
     * The method to set the value to sharedTime
     * @param sharedTime An instance of Date
     */
    setSharedTime(sharedTime: Date): void;
    /**
     * The method to get the permission
     * @returns A string representing the permission
     */
    getPermission(): string;
    /**
     * The method to set the value to permission
     * @param permission A string representing the permission
     */
    setPermission(permission: string): void;
    /**
     * The method to get the sharedBy
     * @returns An instance of User
     */
    getSharedBy(): User;
    /**
     * The method to set the value to sharedBy
     * @param sharedBy An instance of User
     */
    setSharedBy(sharedBy: User): void;
    /**
     * The method to get the user
     * @returns An instance of User
     */
    getUser(): User;
    /**
     * The method to set the value to user
     * @param user An instance of User
     */
    setUser(user: User): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ShareRecord as MasterModel, ShareRecord as ShareRecord };
