import { Model } from "../../../../../../utils/util/model";
declare class ConflictWrapper implements Model {
    private conflictId;
    private keyModified;
    /**
     * The method to get the conflictId
     * @returns A string representing the conflictId
     */
    getConflictId(): string;
    /**
     * The method to set the value to conflictId
     * @param conflictId A string representing the conflictId
     */
    setConflictId(conflictId: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ConflictWrapper as MasterModel, ConflictWrapper as ConflictWrapper };
