import { Model } from "../../../../../../utils/util/model";
declare class Info implements Model {
    private count;
    private allowedCount;
    private keyModified;
    /**
     * The method to get the count
     * @returns A number representing the count
     */
    getCount(): number;
    /**
     * The method to set the value to count
     * @param count A number representing the count
     */
    setCount(count: number): void;
    /**
     * The method to get the allowedCount
     * @returns A number representing the allowedCount
     */
    getAllowedCount(): number;
    /**
     * The method to set the value to allowedCount
     * @param allowedCount A number representing the allowedCount
     */
    setAllowedCount(allowedCount: number): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Info as MasterModel, Info as Info };
