import { Tax } from "./tax";
import { Model } from "../../../../../../utils/util/model";
declare class BodyWrapper implements Model {
    private taxes;
    private keyModified;
    /**
     * The method to get the taxes
     * @returns An Array representing the taxes
     */
    getTaxes(): Array<Tax>;
    /**
     * The method to set the value to taxes
     * @param taxes An Array representing the taxes
     */
    setTaxes(taxes: Array<Tax>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { BodyWrapper as MasterModel, BodyWrapper as BodyWrapper };
