import { Criteria } from "../custom_views/criteria";
import { User } from "../users/user";
import { Model } from "../../../../../../utils/util/model";
declare class Territory implements Model {
    private createdTime;
    private modifiedTime;
    private manager;
    private accountRuleCriteria;
    private dealRuleCriteria;
    private name;
    private modifiedBy;
    private description;
    private id;
    private createdBy;
    private reportingTo;
    private permissionType;
    private keyModified;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the manager
     * @returns An instance of User
     */
    getManager(): User;
    /**
     * The method to set the value to manager
     * @param manager An instance of User
     */
    setManager(manager: User): void;
    /**
     * The method to get the accountRuleCriteria
     * @returns An instance of Criteria
     */
    getAccountRuleCriteria(): Criteria;
    /**
     * The method to set the value to accountRuleCriteria
     * @param accountRuleCriteria An instance of Criteria
     */
    setAccountRuleCriteria(accountRuleCriteria: Criteria): void;
    /**
     * The method to get the dealRuleCriteria
     * @returns An instance of Criteria
     */
    getDealRuleCriteria(): Criteria;
    /**
     * The method to set the value to dealRuleCriteria
     * @param dealRuleCriteria An instance of Criteria
     */
    setDealRuleCriteria(dealRuleCriteria: Criteria): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the description
     * @returns A string representing the description
     */
    getDescription(): string;
    /**
     * The method to set the value to description
     * @param description A string representing the description
     */
    setDescription(description: string): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the reportingTo
     * @returns An instance of Territory
     */
    getReportingTo(): Territory;
    /**
     * The method to set the value to reportingTo
     * @param reportingTo An instance of Territory
     */
    setReportingTo(reportingTo: Territory): void;
    /**
     * The method to get the permissionType
     * @returns A string representing the permissionType
     */
    getPermissionType(): string;
    /**
     * The method to set the value to permissionType
     * @param permissionType A string representing the permissionType
     */
    setPermissionType(permissionType: string): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Territory as MasterModel, Territory as Territory };
