import { ActionHandler } from "./action_handler";
import { ActionResponse } from "./action_response";
import { Model } from "../../../../../../utils/util/model";
declare class ActionWrapper implements Model, ActionHandler {
    private users;
    private keyModified;
    /**
     * The method to get the users
     * @returns An Array representing the users
     */
    getUsers(): Array<ActionResponse>;
    /**
     * The method to set the value to users
     * @param users An Array representing the users
     */
    setUsers(users: Array<ActionResponse>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ActionWrapper as MasterModel, ActionWrapper as ActionWrapper };
