import { Header } from "../../../../../../routes/header";
import { HeaderMap } from "../../../../../../routes/header_map";
import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { ActionHandler } from "./action_handler";
import { BodyWrapper } from "./body_wrapper";
import { RequestWrapper } from "./request_wrapper";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class UsersOperations {
    /**
     * The method to get users
     * @param paramInstance An instance of ParameterMap
     * @param headerInstance An instance of HeaderMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getUsers(paramInstance?: ParameterMap, headerInstance?: HeaderMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to create user
     * @param request An instance of RequestWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    createUser(request: RequestWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to update users
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateUsers(request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to get user
     * @param id A bigint representing the id
     * @param headerInstance An instance of HeaderMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getUser(id: bigint, headerInstance?: HeaderMap): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to update user
     * @param id A bigint representing the id
     * @param request An instance of BodyWrapper
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    updateUser(id: bigint, request: BodyWrapper): Promise<APIResponse<ActionHandler>>;
    /**
     * The method to delete user
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ActionHandler>
     * @throws SDKException
     */
    deleteUser(id: bigint): Promise<APIResponse<ActionHandler>>;
}
declare class GetUsersParam {
    static TYPE: Param<string>;
    static PAGE: Param<number>;
    static PER_PAGE: Param<number>;
}
declare class GetUsersHeader {
    static IF_MODIFIED_SINCE: Header<Date>;
}
declare class GetUserHeader {
    static IF_MODIFIED_SINCE: Header<Date>;
}
export { UsersOperations as MasterModel, UsersOperations as UsersOperations, GetUsersHeader as GetUsersHeader, GetUsersParam as GetUsersParam, GetUserHeader as GetUserHeader };
