import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class VariableGroupsOperations {
    /**
     * The method to get variable groups
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getVariableGroups(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get variable group by id
     * @param id A bigint representing the id
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getVariableGroupById(id: bigint): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get variable group by api name
     * @param apiName A string representing the apiName
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getVariableGroupByAPIName(apiName: string): Promise<APIResponse<ResponseHandler>>;
}
export { VariableGroupsOperations as MasterModel, VariableGroupsOperations as VariableGroupsOperations };
