import { Criteria } from "../custom_views/criteria";
import { Screen } from "./screen";
import { Transition } from "./transition";
import { Model } from "../../../../../../utils/util/model";
declare class Button implements Model {
    private id;
    private sequenceNumber;
    private displayLabel;
    private criteria;
    private targetScreen;
    private type;
    private color;
    private shape;
    private backgroundColor;
    private visibility;
    private transition;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber(): number;
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber: number): void;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the criteria
     * @returns An instance of Criteria
     */
    getCriteria(): Criteria;
    /**
     * The method to set the value to criteria
     * @param criteria An instance of Criteria
     */
    setCriteria(criteria: Criteria): void;
    /**
     * The method to get the targetScreen
     * @returns An instance of Screen
     */
    getTargetScreen(): Screen;
    /**
     * The method to set the value to targetScreen
     * @param targetScreen An instance of Screen
     */
    setTargetScreen(targetScreen: Screen): void;
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType(): string;
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type: string): void;
    /**
     * The method to get the color
     * @returns A string representing the color
     */
    getColor(): string;
    /**
     * The method to set the value to color
     * @param color A string representing the color
     */
    setColor(color: string): void;
    /**
     * The method to get the shape
     * @returns A string representing the shape
     */
    getShape(): string;
    /**
     * The method to set the value to shape
     * @param shape A string representing the shape
     */
    setShape(shape: string): void;
    /**
     * The method to get the backgroundColor
     * @returns A string representing the backgroundColor
     */
    getBackgroundColor(): string;
    /**
     * The method to set the value to backgroundColor
     * @param backgroundColor A string representing the backgroundColor
     */
    setBackgroundColor(backgroundColor: string): void;
    /**
     * The method to get the visibility
     * @returns A string representing the visibility
     */
    getVisibility(): string;
    /**
     * The method to set the value to visibility
     * @param visibility A string representing the visibility
     */
    setVisibility(visibility: string): void;
    /**
     * The method to get the transition
     * @returns An instance of Transition
     */
    getTransition(): Transition;
    /**
     * The method to set the value to transition
     * @param transition An instance of Transition
     */
    setTransition(transition: Transition): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Button as MasterModel, Button as Button };
