"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = exports.MasterModel = void 0;
class Button {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the sequenceNumber
     * @returns A number representing the sequenceNumber
     */
    getSequenceNumber() {
        return this.sequenceNumber;
    }
    /**
     * The method to set the value to sequenceNumber
     * @param sequenceNumber A number representing the sequenceNumber
     */
    setSequenceNumber(sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
        this.keyModified.set("sequence_number", 1);
    }
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel() {
        return this.displayLabel;
    }
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel) {
        this.displayLabel = displayLabel;
        this.keyModified.set("display_label", 1);
    }
    /**
     * The method to get the criteria
     * @returns An instance of Criteria
     */
    getCriteria() {
        return this.criteria;
    }
    /**
     * The method to set the value to criteria
     * @param criteria An instance of Criteria
     */
    setCriteria(criteria) {
        this.criteria = criteria;
        this.keyModified.set("criteria", 1);
    }
    /**
     * The method to get the targetScreen
     * @returns An instance of Screen
     */
    getTargetScreen() {
        return this.targetScreen;
    }
    /**
     * The method to set the value to targetScreen
     * @param targetScreen An instance of Screen
     */
    setTargetScreen(targetScreen) {
        this.targetScreen = targetScreen;
        this.keyModified.set("target_screen", 1);
    }
    /**
     * The method to get the type
     * @returns A string representing the type
     */
    getType() {
        return this.type;
    }
    /**
     * The method to set the value to type
     * @param type A string representing the type
     */
    setType(type) {
        this.type = type;
        this.keyModified.set("type", 1);
    }
    /**
     * The method to get the color
     * @returns A string representing the color
     */
    getColor() {
        return this.color;
    }
    /**
     * The method to set the value to color
     * @param color A string representing the color
     */
    setColor(color) {
        this.color = color;
        this.keyModified.set("color", 1);
    }
    /**
     * The method to get the shape
     * @returns A string representing the shape
     */
    getShape() {
        return this.shape;
    }
    /**
     * The method to set the value to shape
     * @param shape A string representing the shape
     */
    setShape(shape) {
        this.shape = shape;
        this.keyModified.set("shape", 1);
    }
    /**
     * The method to get the backgroundColor
     * @returns A string representing the backgroundColor
     */
    getBackgroundColor() {
        return this.backgroundColor;
    }
    /**
     * The method to set the value to backgroundColor
     * @param backgroundColor A string representing the backgroundColor
     */
    setBackgroundColor(backgroundColor) {
        this.backgroundColor = backgroundColor;
        this.keyModified.set("background_color", 1);
    }
    /**
     * The method to get the visibility
     * @returns A string representing the visibility
     */
    getVisibility() {
        return this.visibility;
    }
    /**
     * The method to set the value to visibility
     * @param visibility A string representing the visibility
     */
    setVisibility(visibility) {
        this.visibility = visibility;
        this.keyModified.set("visibility", 1);
    }
    /**
     * The method to get the transition
     * @returns An instance of Transition
     */
    getTransition() {
        return this.transition;
    }
    /**
     * The method to set the value to transition
     * @param transition An instance of Transition
     */
    setTransition(transition) {
        this.transition = transition;
        this.keyModified.set("transition", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Button;
exports.Button = Button;
