import { Button } from "./button";
import { Screen } from "./screen";
import { Model } from "../../../../../../utils/util/model";
declare class Connection implements Model {
    private sourceButton;
    private targetScreen;
    private keyModified;
    /**
     * The method to get the sourceButton
     * @returns An instance of Button
     */
    getSourceButton(): Button;
    /**
     * The method to set the value to sourceButton
     * @param sourceButton An instance of Button
     */
    setSourceButton(sourceButton: Button): void;
    /**
     * The method to get the targetScreen
     * @returns An instance of Screen
     */
    getTargetScreen(): Screen;
    /**
     * The method to set the value to targetScreen
     * @param targetScreen An instance of Screen
     */
    setTargetScreen(targetScreen: Screen): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Connection as MasterModel, Connection as Connection };
