"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Connection = exports.MasterModel = void 0;
class Connection {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the sourceButton
     * @returns An instance of Button
     */
    getSourceButton() {
        return this.sourceButton;
    }
    /**
     * The method to set the value to sourceButton
     * @param sourceButton An instance of Button
     */
    setSourceButton(sourceButton) {
        this.sourceButton = sourceButton;
        this.keyModified.set("source_button", 1);
    }
    /**
     * The method to get the targetScreen
     * @returns An instance of Screen
     */
    getTargetScreen() {
        return this.targetScreen;
    }
    /**
     * The method to set the value to targetScreen
     * @param targetScreen An instance of Screen
     */
    setTargetScreen(targetScreen) {
        this.targetScreen = targetScreen;
        this.keyModified.set("target_screen", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Connection;
exports.Connection = Connection;
