import { Layout } from "../layouts/layout";
import { ChartData } from "./chart_data";
import { Screen } from "./screen";
import { Model } from "../../../../../../utils/util/model";
declare class Container implements Model {
    private id;
    private layout;
    private chartData;
    private screens;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the layout
     * @returns An instance of Layout
     */
    getLayout(): Layout;
    /**
     * The method to set the value to layout
     * @param layout An instance of Layout
     */
    setLayout(layout: Layout): void;
    /**
     * The method to get the chartData
     * @returns An instance of ChartData
     */
    getChartData(): ChartData;
    /**
     * The method to set the value to chartData
     * @param chartData An instance of ChartData
     */
    setChartData(chartData: ChartData): void;
    /**
     * The method to get the screens
     * @returns An Array representing the screens
     */
    getScreens(): Array<Screen>;
    /**
     * The method to set the value to screens
     * @param screens An Array representing the screens
     */
    setScreens(screens: Array<Screen>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Container as MasterModel, Container as Container };
