"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Container = exports.MasterModel = void 0;
class Container {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to get the layout
     * @returns An instance of Layout
     */
    getLayout() {
        return this.layout;
    }
    /**
     * The method to set the value to layout
     * @param layout An instance of Layout
     */
    setLayout(layout) {
        this.layout = layout;
        this.keyModified.set("layout", 1);
    }
    /**
     * The method to get the chartData
     * @returns An instance of ChartData
     */
    getChartData() {
        return this.chartData;
    }
    /**
     * The method to set the value to chartData
     * @param chartData An instance of ChartData
     */
    setChartData(chartData) {
        this.chartData = chartData;
        this.keyModified.set("chart_data", 1);
    }
    /**
     * The method to get the screens
     * @returns An Array representing the screens
     */
    getScreens() {
        return this.screens;
    }
    /**
     * The method to set the value to screens
     * @param screens An Array representing the screens
     */
    setScreens(screens) {
        this.screens = screens;
        this.keyModified.set("screens", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Container;
exports.Container = Container;
