"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Node = exports.MasterModel = void 0;
class Node {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the posY
     * @returns A number representing the posY
     */
    getPosY() {
        return this.posY;
    }
    /**
     * The method to set the value to posY
     * @param posY A number representing the posY
     */
    setPosY(posY) {
        this.posY = posY;
        this.keyModified.set("pos_y", 1);
    }
    /**
     * The method to get the posX
     * @returns A number representing the posX
     */
    getPosX() {
        return this.posX;
    }
    /**
     * The method to set the value to posX
     * @param posX A number representing the posX
     */
    setPosX(posX) {
        this.posX = posX;
        this.keyModified.set("pos_x", 1);
    }
    /**
     * The method to get the startNode
     * @returns A boolean representing the startNode
     */
    getStartNode() {
        return this.startNode;
    }
    /**
     * The method to set the value to startNode
     * @param startNode A boolean representing the startNode
     */
    setStartNode(startNode) {
        this.startNode = startNode;
        this.keyModified.set("start_node", 1);
    }
    /**
     * The method to get the screen
     * @returns An instance of Screen
     */
    getScreen() {
        return this.screen;
    }
    /**
     * The method to set the value to screen
     * @param screen An instance of Screen
     */
    setScreen(screen) {
        this.screen = screen;
        this.keyModified.set("screen", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Node;
exports.Node = Node;
