import { ResponseHandler } from "./response_handler";
import { Wizard } from "./wizard";
import { Model } from "../../../../../../utils/util/model";
declare class ResponseWrapper implements Model, ResponseHandler {
    private wizards;
    private keyModified;
    /**
     * The method to get the wizards
     * @returns An Array representing the wizards
     */
    getWizards(): Array<Wizard>;
    /**
     * The method to set the value to wizards
     * @param wizards An Array representing the wizards
     */
    setWizards(wizards: Array<Wizard>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { ResponseWrapper as MasterModel, ResponseWrapper as ResponseWrapper };
