import { Segment } from "./segment";
import { Model } from "../../../../../../utils/util/model";
declare class Screen implements Model {
    private id;
    private displayLabel;
    private segments;
    private keyModified;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to get the displayLabel
     * @returns A string representing the displayLabel
     */
    getDisplayLabel(): string;
    /**
     * The method to set the value to displayLabel
     * @param displayLabel A string representing the displayLabel
     */
    setDisplayLabel(displayLabel: string): void;
    /**
     * The method to get the segments
     * @returns An Array representing the segments
     */
    getSegments(): Array<Segment>;
    /**
     * The method to set the value to segments
     * @param segments An Array representing the segments
     */
    setSegments(segments: Array<Segment>): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Screen as MasterModel, Screen as Screen };
