import { Module } from "../modules/module";
import { Profile } from "../profiles/profile";
import { User } from "../users/user";
import { Container } from "./container";
import { Model } from "../../../../../../utils/util/model";
declare class Wizard implements Model {
    private createdTime;
    private modifiedTime;
    private module;
    private name;
    private modifiedBy;
    private profiles;
    private active;
    private containers;
    private createdBy;
    private parentWizard;
    private draft;
    private id;
    private keyModified;
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime(): Date;
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime: Date): void;
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime(): Date;
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime: Date): void;
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule(): Module;
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module: Module): void;
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName(): string;
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name: string): void;
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy(): User;
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy: User): void;
    /**
     * The method to get the profiles
     * @returns An Array representing the profiles
     */
    getProfiles(): Array<Profile>;
    /**
     * The method to set the value to profiles
     * @param profiles An Array representing the profiles
     */
    setProfiles(profiles: Array<Profile>): void;
    /**
     * The method to get the active
     * @returns A boolean representing the active
     */
    getActive(): boolean;
    /**
     * The method to set the value to active
     * @param active A boolean representing the active
     */
    setActive(active: boolean): void;
    /**
     * The method to get the containers
     * @returns An Array representing the containers
     */
    getContainers(): Array<Container>;
    /**
     * The method to set the value to containers
     * @param containers An Array representing the containers
     */
    setContainers(containers: Array<Container>): void;
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy(): User;
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy: User): void;
    /**
     * The method to get the parentWizard
     * @returns An instance of Wizard
     */
    getParentWizard(): Wizard;
    /**
     * The method to set the value to parentWizard
     * @param parentWizard An instance of Wizard
     */
    setParentWizard(parentWizard: Wizard): void;
    /**
     * The method to get the draft
     * @returns A boolean representing the draft
     */
    getDraft(): boolean;
    /**
     * The method to set the value to draft
     * @param draft A boolean representing the draft
     */
    setDraft(draft: boolean): void;
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId(): bigint;
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id: bigint): void;
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key: string): number | null | undefined;
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key: string, modification: number): void;
}
export { Wizard as MasterModel, Wizard as Wizard };
