"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Wizard = exports.MasterModel = void 0;
class Wizard {
    constructor() {
        this.keyModified = new Map();
    }
    /**
     * The method to get the createdTime
     * @returns An instance of Date
     */
    getCreatedTime() {
        return this.createdTime;
    }
    /**
     * The method to set the value to createdTime
     * @param createdTime An instance of Date
     */
    setCreatedTime(createdTime) {
        this.createdTime = createdTime;
        this.keyModified.set("created_time", 1);
    }
    /**
     * The method to get the modifiedTime
     * @returns An instance of Date
     */
    getModifiedTime() {
        return this.modifiedTime;
    }
    /**
     * The method to set the value to modifiedTime
     * @param modifiedTime An instance of Date
     */
    setModifiedTime(modifiedTime) {
        this.modifiedTime = modifiedTime;
        this.keyModified.set("modified_time", 1);
    }
    /**
     * The method to get the module
     * @returns An instance of Module
     */
    getModule() {
        return this.module;
    }
    /**
     * The method to set the value to module
     * @param module An instance of Module
     */
    setModule(module) {
        this.module = module;
        this.keyModified.set("module", 1);
    }
    /**
     * The method to get the name
     * @returns A string representing the name
     */
    getName() {
        return this.name;
    }
    /**
     * The method to set the value to name
     * @param name A string representing the name
     */
    setName(name) {
        this.name = name;
        this.keyModified.set("name", 1);
    }
    /**
     * The method to get the modifiedBy
     * @returns An instance of User
     */
    getModifiedBy() {
        return this.modifiedBy;
    }
    /**
     * The method to set the value to modifiedBy
     * @param modifiedBy An instance of User
     */
    setModifiedBy(modifiedBy) {
        this.modifiedBy = modifiedBy;
        this.keyModified.set("modified_by", 1);
    }
    /**
     * The method to get the profiles
     * @returns An Array representing the profiles
     */
    getProfiles() {
        return this.profiles;
    }
    /**
     * The method to set the value to profiles
     * @param profiles An Array representing the profiles
     */
    setProfiles(profiles) {
        this.profiles = profiles;
        this.keyModified.set("profiles", 1);
    }
    /**
     * The method to get the active
     * @returns A boolean representing the active
     */
    getActive() {
        return this.active;
    }
    /**
     * The method to set the value to active
     * @param active A boolean representing the active
     */
    setActive(active) {
        this.active = active;
        this.keyModified.set("active", 1);
    }
    /**
     * The method to get the containers
     * @returns An Array representing the containers
     */
    getContainers() {
        return this.containers;
    }
    /**
     * The method to set the value to containers
     * @param containers An Array representing the containers
     */
    setContainers(containers) {
        this.containers = containers;
        this.keyModified.set("containers", 1);
    }
    /**
     * The method to get the createdBy
     * @returns An instance of User
     */
    getCreatedBy() {
        return this.createdBy;
    }
    /**
     * The method to set the value to createdBy
     * @param createdBy An instance of User
     */
    setCreatedBy(createdBy) {
        this.createdBy = createdBy;
        this.keyModified.set("created_by", 1);
    }
    /**
     * The method to get the parentWizard
     * @returns An instance of Wizard
     */
    getParentWizard() {
        return this.parentWizard;
    }
    /**
     * The method to set the value to parentWizard
     * @param parentWizard An instance of Wizard
     */
    setParentWizard(parentWizard) {
        this.parentWizard = parentWizard;
        this.keyModified.set("parent_wizard", 1);
    }
    /**
     * The method to get the draft
     * @returns A boolean representing the draft
     */
    getDraft() {
        return this.draft;
    }
    /**
     * The method to set the value to draft
     * @param draft A boolean representing the draft
     */
    setDraft(draft) {
        this.draft = draft;
        this.keyModified.set("draft", 1);
    }
    /**
     * The method to get the id
     * @returns A bigint representing the id
     */
    getId() {
        return this.id;
    }
    /**
     * The method to set the value to id
     * @param id A bigint representing the id
     */
    setId(id) {
        this.id = id;
        this.keyModified.set("id", 1);
    }
    /**
     * The method to check if the user has modified the given key
     * @param key A string representing the key
     * @returns A number representing the modification
     */
    isKeyModified(key) {
        if (this.keyModified.has(key)) {
            return this.keyModified.get(key);
        }
        return null;
    }
    /**
     * The method to mark the given key as modified
     * @param key A string representing the key
     * @param modification A number representing the modification
     */
    setKeyModified(key, modification) {
        this.keyModified.set(key, modification);
    }
}
exports.MasterModel = Wizard;
exports.Wizard = Wizard;
