import { Param } from "../../../../../../routes/param";
import { ParameterMap } from "../../../../../../routes/parameter_map";
import { ResponseHandler } from "./response_handler";
import { APIResponse } from "../../../../../../routes/controllers/api_response";
declare class WizardsOperations {
    /**
     * The method to get wizards
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getWizards(): Promise<APIResponse<ResponseHandler>>;
    /**
     * The method to get wizard by id
     * @param wizardId A bigint representing the wizardId
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    getWizardById(wizardId: bigint, paramInstance?: ParameterMap): Promise<APIResponse<ResponseHandler>>;
}
declare class GetWizardbyIDParam {
    static LAYOUT_ID: Param<string>;
}
export { GetWizardbyIDParam as GetWizardbyIDParam, WizardsOperations as MasterModel, WizardsOperations as WizardsOperations };
