"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WizardsOperations = exports.MasterModel = exports.GetWizardbyIDParam = void 0;
const param_1 = require("../../../../../../routes/param");
const common_api_handler_1 = require("../../../../../../routes/middlewares/common_api_handler");
const constants_1 = require("../../../../../../utils/util/constants");
class WizardsOperations {
    /**
     * The method to get wizards
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    async getWizards() {
        let handlerInstance = new common_api_handler_1.CommonAPIHandler();
        let apiPath = '';
        apiPath = apiPath.concat("/crm/v2.1/settings/wizards");
        handlerInstance.setAPIPath(apiPath);
        handlerInstance.setHttpMethod(constants_1.Constants.REQUEST_METHOD_GET);
        handlerInstance.setCategoryMethod(constants_1.Constants.REQUEST_CATEGORY_READ);
        let ResponseHandler = require.resolve("./response_handler");
        return handlerInstance.apiCall(ResponseHandler, "application/json");
    }
    /**
     * The method to get wizard by id
     * @param wizardId A bigint representing the wizardId
     * @param paramInstance An instance of ParameterMap
     * @returns An instance of APIResponse<ResponseHandler>
     * @throws SDKException
     */
    async getWizardById(wizardId, paramInstance) {
        let handlerInstance = new common_api_handler_1.CommonAPIHandler();
        let apiPath = '';
        apiPath = apiPath.concat("/crm/v2.1/settings/wizards/");
        apiPath = apiPath.concat(wizardId.toString());
        handlerInstance.setAPIPath(apiPath);
        handlerInstance.setHttpMethod(constants_1.Constants.REQUEST_METHOD_GET);
        handlerInstance.setCategoryMethod(constants_1.Constants.REQUEST_CATEGORY_READ);
        handlerInstance.setParam(paramInstance);
        let ResponseHandler = require.resolve("./response_handler");
        return handlerInstance.apiCall(ResponseHandler, "application/json");
    }
}
exports.MasterModel = WizardsOperations;
exports.WizardsOperations = WizardsOperations;
class GetWizardbyIDParam {
}
exports.GetWizardbyIDParam = GetWizardbyIDParam;
GetWizardbyIDParam.LAYOUT_ID = new param_1.Param("layout_id", "com.zoho.crm.api.Wizards.GetWizardbyIDParam");
