import { DataCenter } from './data_center';
import { Environment } from './environment';
/**
 * This class represents the properties of Zoho CRM in CN Domain.
*/
export declare class CNDataCenter extends DataCenter {
    private static _PRODUCTION;
    private static _SANDBOX;
    private static _DEVELOPER;
    private static CN;
    /**
     * This method represents the Zoho CRM Production environment in CN domain
     * @returns {Environment} An instance of Environment
    */
    static PRODUCTION(): Environment;
    /**
     *  This method represents the Zoho CRM Sandbox environment in CN domain
     * @returns {Environment} An instance of Environment
    */
    static SANDBOX(): Environment;
    /**
     *  This method represents the Zoho CRM Developer environment in CN domain
     * @returns {Environment} An instance of Environment
    */
    static DEVELOPER(): Environment;
    getIAMUrl(): string;
    getFileUploadUrl(): string;
}
