import { Environment } from './environment';
/**
 * This class represents the properties of Zoho CRM DataCenter
 */
declare class DataCenter {
    /**
     * The method to get the accounts URL.
     * @returns A String representing the accounts URL.
     */
    getIAMUrl(): void;
    /**
     * The method to get the File Upload URL
     * @returns A String representing the File Upload URL.
     */
    getFileUploadUrl(): void;
    /**
     * This method sets the environment to the calling DataCenter instance
     * @param {string} url - A String representing the domain URL
     * @param {string} accountsUrl - A String representing the accounts URL to fetch tokens.
     * @param {string} fileUploadUrl - A String representing the File Upload URL
     * @param {string} name - A string
     */
    static setEnvironment(url: string, accountsUrl: string, fileUploadUrl: string, name: string): Environment;
}
export { DataCenter as MasterModel, DataCenter as DataCenter };
