import { DataCenter } from './data_center';
import { Environment } from './environment';
/**
 * This class represents the properties of Zoho CRM in IN Domain.
 * @extends DataCenter
 */
export declare class INDataCenter extends DataCenter {
    private static _PRODUCTION;
    private static _SANDBOX;
    private static _DEVELOPER;
    static IN: INDataCenter;
    /**
     * This method represents the Zoho CRM Production environment in IN domain
     * @returns {Environment} An instance of Environment
     */
    static PRODUCTION(): Environment;
    /**
     * This method represents the Zoho CRM Sandbox environment in IN domain
     * @returns {Environment} An instance of Environment
     */
    static SANDBOX(): Environment;
    /**
     * This method represents the Zoho CRM Developer environment in IN domain
     * @returns {Environment} An instance of Environment
     */
    static DEVELOPER(): Environment;
    getIAMUrl(): string;
    getFileUploadUrl(): string;
}
