/**
 * This class represents the HTTP header.
 */
declare class Header<T = any> {
    private name;
    private className?;
    /**
     * Creates a Header class instance with the specified header name.
     * @param {string} name - A String containing the header name.
     * @param {string | null} className - A String containing the class name.
     */
    constructor(name: string, className?: string | null);
    /**
     * This is a getter method to get the header name.
     * @returns A String representing the header name.
     */
    getName(): string;
    /**
     * This is a getter method to get the class name.
     * @returns {string | undefined | null} A String representing the class name.
     */
    getClassName(): string | undefined | null;
}
export { Header as MasterModel, Header as Header };
