import { Header } from './header';
/**
 * This class represents the HTTP header name and value.
 */
declare class HeaderMap {
    private headerMap;
    /**
     * This is a getter method to get the header map.
     * @returns {Map} A Map representing the API request headers.
     */
    getHeaderMap(): Map<string, string>;
    /**
     * The method to add the header name and value.
     * @param {Header} header - A Header class instance.
     * @param {object} value - An object containing the header value.
     * @throws {SDKException}
     */
    add<T>(header: Header<T>, value: T): Promise<void>;
}
export { HeaderMap as MasterModel, HeaderMap as HeaderMap };
