import { UserSignature } from './user_signature';
import { Token } from '../models/authenticator/token';
import { TokenStore } from '../models/authenticator/store/token_store';
import { SDKConfig } from './sdk_config';
import { Environment } from '../routes/dc/environment';
import * as LoggerFile from './logger/logger';
import { RequestProxy } from './request_proxy';
export declare class InitializeBuilder {
    private _environment;
    private _store;
    private _user;
    private _token;
    private _resourcePath;
    private _requestProxy;
    private _sdkConfig;
    private _logger;
    private errorMessage;
    private initializer;
    constructor();
    initialize(): Promise<void>;
    switchUser(): Promise<void>;
    logger(logger: LoggerFile.Logger): InitializeBuilder;
    token(token: Token): InitializeBuilder;
    SDKConfig(sdkConfig: SDKConfig): InitializeBuilder;
    requestProxy(requestProxy: RequestProxy): InitializeBuilder;
    resourcePath(resourcePath: string): InitializeBuilder;
    user(user: UserSignature): InitializeBuilder;
    store(store: TokenStore): InitializeBuilder;
    environment(environment: Environment): InitializeBuilder;
}
