/**
 * This class represents the Logger level and the file path.
 */
export declare class Logger {
    private level;
    private filePath;
    private constructor();
    /**
     * Creates an Logger class instance with the specified log level and file path.
     * @param {Levels} level A Levels class member containing log level.
     * @param {String} filePath A string containing absolute file path to write logs.
     */
    static getInstance(level: string, filePath: string): Logger;
    /**
     * The method to get the logger level
     * @returns {String} A string representing the Log level.
     */
    getLevel(): string;
    /**
     * The method to get the logger filepath
     * @returns {String} A string representing the Log filepath
     */
    getFilePath(): string;
}
/**
 * This class represents the possible logger levels
 */
export declare class Levels {
    static INFO: string;
    static DEBUG: string;
    static WARN: string;
    static VERBOSE: string;
    static ERROR: string;
    static SILLY: string;
    static OFF: string;
}
