import { SDKConfig } from './sdk_config';
declare class SDKConfigBuilder {
    private _autoRefreshFields;
    private _pickListValidation;
    private _timeout;
    /**
     * This is a setter method to set autoRefreshFields.
     * @param {Boolean} autoRefreshFields A boolean value
     * @returns {SDKConfigBuilder} An instance of SDKConfigBuilder
     */
    autoRefreshFields(autoRefreshFields: boolean): SDKConfigBuilder;
    /**
     * This is a setter method to set pickListValidation.
     * @param {Boolean} pickListValidation A boolean value
     * @returns {SDKConfigBuilder} An instance of SDKConfigBuilder
     */
    pickListValidation(pickListValidation: boolean): SDKConfigBuilder;
    /**
     * This is a setter method to set API timeout.
     * @param {number} timeout
     * @returns {SDKConfigBuilder} An instance of SDKConfigBuilder
     */
    timeout(timeout: number): SDKConfigBuilder;
    /**
     * The method to build the SDKConfig instance
     * @returns {SDKConfig} An instance of SDKConfig
     */
    build(): SDKConfig;
}
export { SDKConfigBuilder as MasterModel, SDKConfigBuilder as SDKConfigBuilder };
