/**
 * The class contains methods to manipulate the module fields only when autoRefreshFields is set to false in Initializer.
 */
export declare class ModuleFieldsHandler {
    /**
     * The method to obtain resources directory path.
     * @returns {String} A String representing the directory's absolute path.
    */
    private static getDirectory;
    /**
     * The method to delete fields JSON File of the current user.
     * @throws {SDKException}
    */
    static deleteFieldsFile(): Promise<void>;
    /**
     * The method to delete all field JSON files.
     * @throws {SDKException}
    */
    static deleteAllFieldFiles(): Promise<void>;
    /**
     * The method to delete fields of the given module from the current user's fields JSON file.
     * @param {String} module A string representing the module.
     * @throws {SDKException}
    */
    private static deleteFields;
    /**
     * The method to force-refresh fields of a module.
     * @param {String} module A string representing the module.
     * @throws {SDKException}
    */
    static refreshFields(module: string): Promise<void>;
    /**
     * The method to force-refresh fields of all the available modules.
     * @throws {SDKException}
     */
    static refreshAllModules(): Promise<void>;
}
