/// <reference types="node" />
import * as fs from "fs";
/**
 * This class handles the file stream and name.
 */
declare class StreamWrapper {
    private name;
    private stream;
    private file;
    /**
     * Creates a StreamWrapper class instance with the specified parameters.
     * @param {string} name - A String containing the file name.
     * @param {object} stream - A InputStream containing the file stream.
     * @param {string} filePath - A String containing the absolute file path.
    */
    constructor(name?: string, stream?: fs.ReadStream, filePath?: string | null);
    /**
     * This is a getter method to get the file name.
     * @returns A String representing the file name.
    */
    getName(): string | undefined;
    /**
     * This is a getter method to get the file input stream.
     * @returns A ReadStream representing the file input stream.
    */
    getStream(): fs.ReadStream | undefined;
}
export { StreamWrapper as MasterModel, StreamWrapper as StreamWrapper };
